//-----------------------------------------------------------------------------
//  File: RTC5expl.c                           Copyright (c) 2022 SCANLAB GmbH
//-----------------------------------------------------------------------------
//
//
//
//  Abstract
//      DLL handling functions for explicitly linking to the RTC5DLL.DLL
//      or libslrtc5.so
//      This file was automatically generated on 2022-11-10
//
//  Function List
//      RTC5open
//      RTC5close
//-----------------------------------------------------------------------------

#include "RTC5expl.h"

#ifndef _WIN32
    #include <dlfcn.h>
    #include <stddef.h>
    typedef void* HINSTANCE;
    #define GetProcAddress dlsym
#endif

volatile HINSTANCE gLibRTC5 = NULL;

INIT_RTC5_DLL_FP init_rtc5_dll;
FREE_RTC5_DLL_FP free_rtc5_dll;
SET_RTC4_MODE_FP set_rtc4_mode;
SET_RTC5_MODE_FP set_rtc5_mode;
GET_RTC_MODE_FP get_rtc_mode;
N_GET_ERROR_FP n_get_error;
N_GET_LAST_ERROR_FP n_get_last_error;
N_RESET_ERROR_FP n_reset_error;
N_SET_VERIFY_FP n_set_verify;
GET_ERROR_FP get_error;
GET_LAST_ERROR_FP get_last_error;
RESET_ERROR_FP reset_error;
SET_VERIFY_FP set_verify;
VERIFY_CHECKSUM_FP verify_checksum;
READ_ABC_FROM_FILE_FP read_abc_from_file;
WRITE_ABC_TO_FILE_FP write_abc_to_file;
RTC5_COUNT_CARDS_FP rtc5_count_cards;
ACQUIRE_RTC_FP acquire_rtc;
RELEASE_RTC_FP release_rtc;
SELECT_RTC_FP select_rtc;
GET_DLL_VERSION_FP get_dll_version;
N_GET_SERIAL_NUMBER_FP n_get_serial_number;
N_GET_HEX_VERSION_FP n_get_hex_version;
N_GET_RTC_VERSION_FP n_get_rtc_version;
GET_SERIAL_NUMBER_FP get_serial_number;
GET_HEX_VERSION_FP get_hex_version;
GET_RTC_VERSION_FP get_rtc_version;
N_LOAD_PROGRAM_FILE_FP n_load_program_file;
N_SYNC_SLAVES_FP n_sync_slaves;
N_GET_SYNC_STATUS_FP n_get_sync_status;
N_LOAD_CORRECTION_FILE_FP n_load_correction_file;
N_LOAD_ZOOM_CORRECTION_FILE_FP n_load_zoom_correction_file;
N_LOAD_Z_TABLE_FP n_load_z_table;
N_SELECT_COR_TABLE_FP n_select_cor_table;
N_SET_DSP_MODE_FP n_set_dsp_mode;
N_LOAD_STRETCH_TABLE_FP n_load_stretch_table;
N_NUMBER_OF_CORRECTION_TABLES_FP n_number_of_correction_tables;
N_GET_HEAD_PARA_FP n_get_head_para;
N_GET_TABLE_PARA_FP n_get_table_para;
LOAD_PROGRAM_FILE_FP load_program_file;
SYNC_SLAVES_FP sync_slaves;
GET_SYNC_STATUS_FP get_sync_status;
LOAD_CORRECTION_FILE_FP load_correction_file;
LOAD_ZOOM_CORRECTION_FILE_FP load_zoom_correction_file;
LOAD_Z_TABLE_FP load_z_table;
SELECT_COR_TABLE_FP select_cor_table;
SET_DSP_MODE_FP set_dsp_mode;
LOAD_STRETCH_TABLE_FP load_stretch_table;
NUMBER_OF_CORRECTION_TABLES_FP number_of_correction_tables;
GET_HEAD_PARA_FP get_head_para;
GET_TABLE_PARA_FP get_table_para;
N_CONFIG_LIST_FP n_config_list;
N_GET_CONFIG_LIST_FP n_get_config_list;
N_SAVE_DISK_FP n_save_disk;
N_LOAD_DISK_FP n_load_disk;
N_GET_LIST_SPACE_FP n_get_list_space;
CONFIG_LIST_FP config_list;
GET_CONFIG_LIST_FP get_config_list;
SAVE_DISK_FP save_disk;
LOAD_DISK_FP load_disk;
GET_LIST_SPACE_FP get_list_space;
N_SET_START_LIST_POS_FP n_set_start_list_pos;
N_SET_START_LIST_FP n_set_start_list;
N_SET_START_LIST_1_FP n_set_start_list_1;
N_SET_START_LIST_2_FP n_set_start_list_2;
N_SET_INPUT_POINTER_FP n_set_input_pointer;
N_LOAD_LIST_FP n_load_list;
N_LOAD_SUB_FP n_load_sub;
N_LOAD_CHAR_FP n_load_char;
N_LOAD_TEXT_TABLE_FP n_load_text_table;
N_GET_LIST_POINTER_FP n_get_list_pointer;
N_GET_INPUT_POINTER_FP n_get_input_pointer;
SET_START_LIST_POS_FP set_start_list_pos;
SET_START_LIST_FP set_start_list;
SET_START_LIST_1_FP set_start_list_1;
SET_START_LIST_2_FP set_start_list_2;
SET_INPUT_POINTER_FP set_input_pointer;
LOAD_LIST_FP load_list;
LOAD_SUB_FP load_sub;
LOAD_CHAR_FP load_char;
LOAD_TEXT_TABLE_FP load_text_table;
GET_LIST_POINTER_FP get_list_pointer;
GET_INPUT_POINTER_FP get_input_pointer;
N_EXECUTE_LIST_POS_FP n_execute_list_pos;
N_EXECUTE_AT_POINTER_FP n_execute_at_pointer;
N_EXECUTE_LIST_FP n_execute_list;
N_EXECUTE_LIST_1_FP n_execute_list_1;
N_EXECUTE_LIST_2_FP n_execute_list_2;
N_GET_OUT_POINTER_FP n_get_out_pointer;
EXECUTE_LIST_POS_FP execute_list_pos;
EXECUTE_AT_POINTER_FP execute_at_pointer;
EXECUTE_LIST_FP execute_list;
EXECUTE_LIST_1_FP execute_list_1;
EXECUTE_LIST_2_FP execute_list_2;
GET_OUT_POINTER_FP get_out_pointer;
N_AUTO_CHANGE_POS_FP n_auto_change_pos;
N_START_LOOP_FP n_start_loop;
N_QUIT_LOOP_FP n_quit_loop;
N_PAUSE_LIST_FP n_pause_list;
N_RESTART_LIST_FP n_restart_list;
N_RELEASE_WAIT_FP n_release_wait;
N_STOP_EXECUTION_FP n_stop_execution;
N_SET_PAUSE_LIST_COND_FP n_set_pause_list_cond;
N_SET_PAUSE_LIST_NOT_COND_FP n_set_pause_list_not_cond;
N_AUTO_CHANGE_FP n_auto_change;
N_STOP_LIST_FP n_stop_list;
N_GET_WAIT_STATUS_FP n_get_wait_status;
N_READ_STATUS_FP n_read_status;
N_GET_STATUS_FP n_get_status;
AUTO_CHANGE_POS_FP auto_change_pos;
START_LOOP_FP start_loop;
QUIT_LOOP_FP quit_loop;
PAUSE_LIST_FP pause_list;
RESTART_LIST_FP restart_list;
RELEASE_WAIT_FP release_wait;
STOP_EXECUTION_FP stop_execution;
SET_PAUSE_LIST_COND_FP set_pause_list_cond;
SET_PAUSE_LIST_NOT_COND_FP set_pause_list_not_cond;
AUTO_CHANGE_FP auto_change;
STOP_LIST_FP stop_list;
GET_WAIT_STATUS_FP get_wait_status;
READ_STATUS_FP read_status;
GET_STATUS_FP get_status;
N_SET_EXTSTARTPOS_FP n_set_extstartpos;
N_SET_MAX_COUNTS_FP n_set_max_counts;
N_SET_CONTROL_MODE_FP n_set_control_mode;
N_SIMULATE_EXT_STOP_FP n_simulate_ext_stop;
N_SIMULATE_EXT_START_CTRL_FP n_simulate_ext_start_ctrl;
N_GET_COUNTS_FP n_get_counts;
N_GET_STARTSTOP_INFO_FP n_get_startstop_info;
SET_EXTSTARTPOS_FP set_extstartpos;
SET_MAX_COUNTS_FP set_max_counts;
SET_CONTROL_MODE_FP set_control_mode;
SIMULATE_EXT_STOP_FP simulate_ext_stop;
SIMULATE_EXT_START_CTRL_FP simulate_ext_start_ctrl;
GET_COUNTS_FP get_counts;
GET_STARTSTOP_INFO_FP get_startstop_info;
N_COPY_DST_SRC_FP n_copy_dst_src;
N_SET_CHAR_POINTER_FP n_set_char_pointer;
N_SET_SUB_POINTER_FP n_set_sub_pointer;
N_SET_TEXT_TABLE_POINTER_FP n_set_text_table_pointer;
N_SET_CHAR_TABLE_FP n_set_char_table;
N_GET_CHAR_POINTER_FP n_get_char_pointer;
N_GET_SUB_POINTER_FP n_get_sub_pointer;
N_GET_TEXT_TABLE_POINTER_FP n_get_text_table_pointer;
COPY_DST_SRC_FP copy_dst_src;
SET_CHAR_POINTER_FP set_char_pointer;
SET_SUB_POINTER_FP set_sub_pointer;
SET_TEXT_TABLE_POINTER_FP set_text_table_pointer;
SET_CHAR_TABLE_FP set_char_table;
GET_CHAR_POINTER_FP get_char_pointer;
GET_SUB_POINTER_FP get_sub_pointer;
GET_TEXT_TABLE_POINTER_FP get_text_table_pointer;
N_TIME_UPDATE_FP n_time_update;
N_SET_SERIAL_STEP_FP n_set_serial_step;
N_SELECT_SERIAL_SET_FP n_select_serial_set;
N_SET_SERIAL_FP n_set_serial;
N_GET_SERIAL_FP n_get_serial;
N_GET_LIST_SERIAL_FP n_get_list_serial;
TIME_UPDATE_FP time_update;
SET_SERIAL_STEP_FP set_serial_step;
SELECT_SERIAL_SET_FP select_serial_set;
SET_SERIAL_FP set_serial;
GET_SERIAL_FP get_serial;
GET_LIST_SERIAL_FP get_list_serial;
N_WRITE_IO_PORT_MASK_FP n_write_io_port_mask;
N_WRITE_8BIT_PORT_FP n_write_8bit_port;
N_READ_IO_PORT_FP n_read_io_port;
N_READ_IO_PORT_BUFFER_FP n_read_io_port_buffer;
N_GET_IO_STATUS_FP n_get_io_status;
N_READ_ANALOG_IN_FP n_read_analog_in;
N_WRITE_DA_X_FP n_write_da_x;
N_SET_LASER_OFF_DEFAULT_FP n_set_laser_off_default;
N_SET_PORT_DEFAULT_FP n_set_port_default;
N_WRITE_IO_PORT_FP n_write_io_port;
N_WRITE_DA_1_FP n_write_da_1;
N_WRITE_DA_2_FP n_write_da_2;
WRITE_IO_PORT_MASK_FP write_io_port_mask;
WRITE_8BIT_PORT_FP write_8bit_port;
READ_IO_PORT_FP read_io_port;
READ_IO_PORT_BUFFER_FP read_io_port_buffer;
GET_IO_STATUS_FP get_io_status;
READ_ANALOG_IN_FP read_analog_in;
WRITE_DA_X_FP write_da_x;
SET_LASER_OFF_DEFAULT_FP set_laser_off_default;
SET_PORT_DEFAULT_FP set_port_default;
WRITE_IO_PORT_FP write_io_port;
WRITE_DA_1_FP write_da_1;
WRITE_DA_2_FP write_da_2;
N_DISABLE_LASER_FP n_disable_laser;
N_ENABLE_LASER_FP n_enable_laser;
N_LASER_SIGNAL_ON_FP n_laser_signal_on;
N_LASER_SIGNAL_OFF_FP n_laser_signal_off;
N_SET_STANDBY_FP n_set_standby;
N_SET_LASER_PULSES_CTRL_FP n_set_laser_pulses_ctrl;
N_SET_FIRSTPULSE_KILLER_FP n_set_firstpulse_killer;
N_SET_QSWITCH_DELAY_FP n_set_qswitch_delay;
N_SET_LASER_MODE_FP n_set_laser_mode;
N_SET_LASER_CONTROL_FP n_set_laser_control;
N_SET_LASER_PIN_OUT_FP n_set_laser_pin_out;
N_GET_LASER_PIN_IN_FP n_get_laser_pin_in;
N_SET_SOFTSTART_LEVEL_FP n_set_softstart_level;
N_SET_SOFTSTART_MODE_FP n_set_softstart_mode;
N_SET_AUTO_LASER_CONTROL_FP n_set_auto_laser_control;
N_SET_AUTO_LASER_PARAMS_FP n_set_auto_laser_params;
N_LOAD_AUTO_LASER_CONTROL_FP n_load_auto_laser_control;
N_LOAD_POSITION_CONTROL_FP n_load_position_control;
N_SET_DEFAULT_PIXEL_FP n_set_default_pixel;
N_GET_STANDBY_FP n_get_standby;
N_SET_PULSE_PICKING_FP n_set_pulse_picking;
N_SET_PULSE_PICKING_LENGTH_FP n_set_pulse_picking_length;
N_CONFIG_LASER_SIGNALS_FP n_config_laser_signals;
DISABLE_LASER_FP disable_laser;
ENABLE_LASER_FP enable_laser;
LASER_SIGNAL_ON_FP laser_signal_on;
LASER_SIGNAL_OFF_FP laser_signal_off;
SET_STANDBY_FP set_standby;
SET_LASER_PULSES_CTRL_FP set_laser_pulses_ctrl;
SET_FIRSTPULSE_KILLER_FP set_firstpulse_killer;
SET_QSWITCH_DELAY_FP set_qswitch_delay;
SET_LASER_MODE_FP set_laser_mode;
SET_LASER_CONTROL_FP set_laser_control;
SET_LASER_PIN_OUT_FP set_laser_pin_out;
GET_LASER_PIN_IN_FP get_laser_pin_in;
SET_SOFTSTART_LEVEL_FP set_softstart_level;
SET_SOFTSTART_MODE_FP set_softstart_mode;
SET_AUTO_LASER_CONTROL_FP set_auto_laser_control;
SET_AUTO_LASER_PARAMS_FP set_auto_laser_params;
LOAD_AUTO_LASER_CONTROL_FP load_auto_laser_control;
LOAD_POSITION_CONTROL_FP load_position_control;
SET_DEFAULT_PIXEL_FP set_default_pixel;
GET_STANDBY_FP get_standby;
SET_PULSE_PICKING_FP set_pulse_picking;
SET_PULSE_PICKING_LENGTH_FP set_pulse_picking_length;
CONFIG_LASER_SIGNALS_FP config_laser_signals;
N_SET_EXT_START_DELAY_FP n_set_ext_start_delay;
N_SET_ROT_CENTER_FP n_set_rot_center;
N_SIMULATE_ENCODER_FP n_simulate_encoder;
N_GET_MARKING_INFO_FP n_get_marking_info;
N_SET_ENCODER_SPEED_CTRL_FP n_set_encoder_speed_ctrl;
N_SET_MCBSP_X_FP n_set_mcbsp_x;
N_SET_MCBSP_Y_FP n_set_mcbsp_y;
N_SET_MCBSP_ROT_FP n_set_mcbsp_rot;
N_SET_MCBSP_MATRIX_FP n_set_mcbsp_matrix;
N_SET_MCBSP_GLOBAL_X_FP n_set_mcbsp_global_x;
N_SET_MCBSP_GLOBAL_Y_FP n_set_mcbsp_global_y;
N_SET_MCBSP_GLOBAL_ROT_FP n_set_mcbsp_global_rot;
N_SET_MCBSP_GLOBAL_MATRIX_FP n_set_mcbsp_global_matrix;
N_SET_MCBSP_IN_FP n_set_mcbsp_in;
N_SET_MULTI_MCBSP_IN_FP n_set_multi_mcbsp_in;
N_SET_FLY_TRACKING_ERROR_FP n_set_fly_tracking_error;
N_LOAD_FLY_2D_TABLE_FP n_load_fly_2d_table;
N_INIT_FLY_2D_FP n_init_fly_2d;
N_GET_FLY_2D_OFFSET_FP n_get_fly_2d_offset;
N_GET_ENCODER_FP n_get_encoder;
N_READ_ENCODER_FP n_read_encoder;
N_GET_MCBSP_FP n_get_mcbsp;
N_READ_MCBSP_FP n_read_mcbsp;
N_READ_MULTI_MCBSP_FP n_read_multi_mcbsp;
N_CLEAR_FLY_OVERFLOW_CTRL_FP n_clear_fly_overflow_ctrl;
SET_EXT_START_DELAY_FP set_ext_start_delay;
SET_ROT_CENTER_FP set_rot_center;
SIMULATE_ENCODER_FP simulate_encoder;
GET_MARKING_INFO_FP get_marking_info;
SET_ENCODER_SPEED_CTRL_FP set_encoder_speed_ctrl;
SET_MCBSP_X_FP set_mcbsp_x;
SET_MCBSP_Y_FP set_mcbsp_y;
SET_MCBSP_ROT_FP set_mcbsp_rot;
SET_MCBSP_MATRIX_FP set_mcbsp_matrix;
SET_MCBSP_GLOBAL_X_FP set_mcbsp_global_x;
SET_MCBSP_GLOBAL_Y_FP set_mcbsp_global_y;
SET_MCBSP_GLOBAL_ROT_FP set_mcbsp_global_rot;
SET_MCBSP_GLOBAL_MATRIX_FP set_mcbsp_global_matrix;
SET_MCBSP_IN_FP set_mcbsp_in;
SET_MULTI_MCBSP_IN_FP set_multi_mcbsp_in;
SET_FLY_TRACKING_ERROR_FP set_fly_tracking_error;
LOAD_FLY_2D_TABLE_FP load_fly_2d_table;
INIT_FLY_2D_FP init_fly_2d;
GET_FLY_2D_OFFSET_FP get_fly_2d_offset;
GET_ENCODER_FP get_encoder;
READ_ENCODER_FP read_encoder;
GET_MCBSP_FP get_mcbsp;
READ_MCBSP_FP read_mcbsp;
READ_MULTI_MCBSP_FP read_multi_mcbsp;
CLEAR_FLY_OVERFLOW_CTRL_FP clear_fly_overflow_ctrl;
N_GET_TIME_FP n_get_time;
N_GET_LAP_TIME_FP n_get_lap_time;
N_MEASUREMENT_STATUS_FP n_measurement_status;
N_GET_WAVEFORM_FP n_get_waveform;
N_BOUNCE_SUPP_FP n_bounce_supp;
N_HOME_POSITION_XYZ_FP n_home_position_xyz;
N_HOME_POSITION_FP n_home_position;
N_RS232_CONFIG_FP n_rs232_config;
N_RS232_WRITE_DATA_FP n_rs232_write_data;
N_RS232_WRITE_TEXT_FP n_rs232_write_text;
N_RS232_READ_DATA_FP n_rs232_read_data;
N_SET_MCBSP_FREQ_FP n_set_mcbsp_freq;
N_MCBSP_INIT_FP n_mcbsp_init;
N_MCBSP_INIT_SPI_FP n_mcbsp_init_spi;
N_GET_OVERRUN_FP n_get_overrun;
N_GET_MASTER_SLAVE_FP n_get_master_slave;
N_GET_TRANSFORM_FP n_get_transform;
N_STOP_TRIGGER_FP n_stop_trigger;
N_MOVE_TO_FP n_move_to;
N_SET_ENDURING_WOBBEL_FP n_set_enduring_wobbel;
N_SET_ENDURING_WOBBEL_2_FP n_set_enduring_wobbel_2;
N_SET_FREE_VARIABLE_FP n_set_free_variable;
N_GET_FREE_VARIABLE_FP n_get_free_variable;
N_SET_MCBSP_OUT_PTR_FP n_set_mcbsp_out_ptr;
N_PERIODIC_TOGGLE_FP n_periodic_toggle;
N_LOAD_WOBBEL_POWER_FP n_load_wobbel_power;
GET_TIME_FP get_time;
GET_LAP_TIME_FP get_lap_time;
MEASUREMENT_STATUS_FP measurement_status;
GET_WAVEFORM_FP get_waveform;
BOUNCE_SUPP_FP bounce_supp;
HOME_POSITION_XYZ_FP home_position_xyz;
HOME_POSITION_FP home_position;
RS232_CONFIG_FP rs232_config;
RS232_WRITE_DATA_FP rs232_write_data;
RS232_WRITE_TEXT_FP rs232_write_text;
RS232_READ_DATA_FP rs232_read_data;
SET_MCBSP_FREQ_FP set_mcbsp_freq;
MCBSP_INIT_FP mcbsp_init;
MCBSP_INIT_SPI_FP mcbsp_init_spi;
GET_OVERRUN_FP get_overrun;
GET_MASTER_SLAVE_FP get_master_slave;
GET_TRANSFORM_FP get_transform;
STOP_TRIGGER_FP stop_trigger;
MOVE_TO_FP move_to;
SET_ENDURING_WOBBEL_FP set_enduring_wobbel;
SET_ENDURING_WOBBEL_2_FP set_enduring_wobbel_2;
SET_FREE_VARIABLE_FP set_free_variable;
GET_FREE_VARIABLE_FP get_free_variable;
SET_MCBSP_OUT_PTR_FP set_mcbsp_out_ptr;
PERIODIC_TOGGLE_FP periodic_toggle;
LOAD_WOBBEL_POWER_FP load_wobbel_power;
N_SET_DEFOCUS_FP n_set_defocus;
N_SET_DEFOCUS_OFFSET_FP n_set_defocus_offset;
N_GOTO_XYZ_FP n_goto_xyz;
N_SET_ZOOM_FP n_set_zoom;
N_GOTO_XY_FP n_goto_xy;
N_GET_Z_DISTANCE_FP n_get_z_distance;
SET_DEFOCUS_FP set_defocus;
SET_DEFOCUS_OFFSET_FP set_defocus_offset;
GOTO_XYZ_FP goto_xyz;
GOTO_XY_FP goto_xy;
SET_ZOOM_FP set_zoom;
GET_Z_DISTANCE_FP get_z_distance;
N_SET_OFFSET_XYZ_FP n_set_offset_xyz;
N_SET_OFFSET_FP n_set_offset;
N_SET_MATRIX_FP n_set_matrix;
N_SET_ANGLE_FP n_set_angle;
N_SET_SCALE_FP n_set_scale;
N_APPLY_MCBSP_FP n_apply_mcbsp;
N_UPLOAD_TRANSFORM_FP n_upload_transform;
SET_OFFSET_XYZ_FP set_offset_xyz;
SET_OFFSET_FP set_offset;
SET_MATRIX_FP set_matrix;
SET_ANGLE_FP set_angle;
SET_SCALE_FP set_scale;
APPLY_MCBSP_FP apply_mcbsp;
UPLOAD_TRANSFORM_FP upload_transform;
TRANSFORM_FP transform;
N_SET_DELAY_MODE_FP n_set_delay_mode;
N_SET_JUMP_SPEED_CTRL_FP n_set_jump_speed_ctrl;
N_SET_MARK_SPEED_CTRL_FP n_set_mark_speed_ctrl;
N_SET_SKY_WRITING_PARA_FP n_set_sky_writing_para;
N_SET_SKY_WRITING_LIMIT_FP n_set_sky_writing_limit;
N_SET_SKY_WRITING_MODE_FP n_set_sky_writing_mode;
N_LOAD_VARPOLYDELAY_FP n_load_varpolydelay;
N_SET_HI_FP n_set_hi;
N_GET_HI_POS_FP n_get_hi_pos;
N_AUTO_CAL_FP n_auto_cal;
N_GET_AUTO_CAL_FP n_get_auto_cal;
N_WRITE_HI_POS_FP n_write_hi_pos;
N_SET_SKY_WRITING_FP n_set_sky_writing;
N_GET_HI_DATA_FP n_get_hi_data;
SET_DELAY_MODE_FP set_delay_mode;
SET_JUMP_SPEED_CTRL_FP set_jump_speed_ctrl;
SET_MARK_SPEED_CTRL_FP set_mark_speed_ctrl;
SET_SKY_WRITING_PARA_FP set_sky_writing_para;
SET_SKY_WRITING_LIMIT_FP set_sky_writing_limit;
SET_SKY_WRITING_MODE_FP set_sky_writing_mode;
LOAD_VARPOLYDELAY_FP load_varpolydelay;
SET_HI_FP set_hi;
GET_HI_POS_FP get_hi_pos;
AUTO_CAL_FP auto_cal;
GET_AUTO_CAL_FP get_auto_cal;
WRITE_HI_POS_FP write_hi_pos;
SET_SKY_WRITING_FP set_sky_writing;
GET_HI_DATA_FP get_hi_data;
N_SEND_USER_DATA_FP n_send_user_data;
N_READ_USER_DATA_FP n_read_user_data;
N_CONTROL_COMMAND_FP n_control_command;
N_GET_VALUE_FP n_get_value;
N_GET_VALUES_FP n_get_values;
N_GET_GALVO_CONTROLS_FP n_get_galvo_controls;
N_GET_HEAD_STATUS_FP n_get_head_status;
N_SET_JUMP_MODE_FP n_set_jump_mode;
N_LOAD_JUMP_TABLE_OFFSET_FP n_load_jump_table_offset;
N_GET_JUMP_TABLE_FP n_get_jump_table;
N_SET_JUMP_TABLE_FP n_set_jump_table;
N_LOAD_JUMP_TABLE_FP n_load_jump_table;
SEND_USER_DATA_FP send_user_data;
READ_USER_DATA_FP read_user_data;
CONTROL_COMMAND_FP control_command;
GET_VALUE_FP get_value;
GET_VALUES_FP get_values;
GET_GALVO_CONTROLS_FP get_galvo_controls;
GET_HEAD_STATUS_FP get_head_status;
SET_JUMP_MODE_FP set_jump_mode;
LOAD_JUMP_TABLE_OFFSET_FP load_jump_table_offset;
GET_JUMP_TABLE_FP get_jump_table;
SET_JUMP_TABLE_FP set_jump_table;
LOAD_JUMP_TABLE_FP load_jump_table;
N_STEPPER_INIT_FP n_stepper_init;
N_STEPPER_ENABLE_FP n_stepper_enable;
N_STEPPER_DISABLE_SWITCH_FP n_stepper_disable_switch;
N_STEPPER_CONTROL_FP n_stepper_control;
N_STEPPER_ABS_NO_FP n_stepper_abs_no;
N_STEPPER_REL_NO_FP n_stepper_rel_no;
N_STEPPER_ABS_FP n_stepper_abs;
N_STEPPER_REL_FP n_stepper_rel;
N_GET_STEPPER_STATUS_FP n_get_stepper_status;
STEPPER_INIT_FP stepper_init;
STEPPER_ENABLE_FP stepper_enable;
STEPPER_DISABLE_SWITCH_FP stepper_disable_switch;
STEPPER_CONTROL_FP stepper_control;
STEPPER_ABS_NO_FP stepper_abs_no;
STEPPER_REL_NO_FP stepper_rel_no;
STEPPER_ABS_FP stepper_abs;
STEPPER_REL_FP stepper_rel;
GET_STEPPER_STATUS_FP get_stepper_status;
N_SELECT_COR_TABLE_LIST_FP n_select_cor_table_list;
SELECT_COR_TABLE_LIST_FP select_cor_table_list;
N_LIST_NOP_FP n_list_nop;
N_LIST_CONTINUE_FP n_list_continue;
N_LIST_NEXT_FP n_list_next;
N_LONG_DELAY_FP n_long_delay;
N_SET_END_OF_LIST_FP n_set_end_of_list;
N_SET_WAIT_FP n_set_wait;
N_LIST_JUMP_POS_FP n_list_jump_pos;
N_LIST_JUMP_REL_FP n_list_jump_rel;
N_LIST_REPEAT_FP n_list_repeat;
N_LIST_UNTIL_FP n_list_until;
N_RANGE_CHECKING_FP n_range_checking;
N_SET_LIST_JUMP_FP n_set_list_jump;
LIST_NOP_FP list_nop;
LIST_CONTINUE_FP list_continue;
LIST_NEXT_FP list_next;
LONG_DELAY_FP long_delay;
SET_END_OF_LIST_FP set_end_of_list;
SET_WAIT_FP set_wait;
LIST_JUMP_POS_FP list_jump_pos;
LIST_JUMP_REL_FP list_jump_rel;
LIST_REPEAT_FP list_repeat;
LIST_UNTIL_FP list_until;
RANGE_CHECKING_FP range_checking;
SET_LIST_JUMP_FP set_list_jump;
N_SET_EXTSTARTPOS_LIST_FP n_set_extstartpos_list;
N_SET_CONTROL_MODE_LIST_FP n_set_control_mode_list;
N_SIMULATE_EXT_START_FP n_simulate_ext_start;
SET_EXTSTARTPOS_LIST_FP set_extstartpos_list;
SET_CONTROL_MODE_LIST_FP set_control_mode_list;
SIMULATE_EXT_START_FP simulate_ext_start;
N_LIST_RETURN_FP n_list_return;
N_LIST_CALL_REPEAT_FP n_list_call_repeat;
N_LIST_CALL_ABS_REPEAT_FP n_list_call_abs_repeat;
N_LIST_CALL_FP n_list_call;
N_LIST_CALL_ABS_FP n_list_call_abs;
N_SUB_CALL_REPEAT_FP n_sub_call_repeat;
N_SUB_CALL_ABS_REPEAT_FP n_sub_call_abs_repeat;
N_SUB_CALL_FP n_sub_call;
N_SUB_CALL_ABS_FP n_sub_call_abs;
LIST_RETURN_FP list_return;
LIST_CALL_REPEAT_FP list_call_repeat;
LIST_CALL_ABS_REPEAT_FP list_call_abs_repeat;
LIST_CALL_FP list_call;
LIST_CALL_ABS_FP list_call_abs;
SUB_CALL_REPEAT_FP sub_call_repeat;
SUB_CALL_ABS_REPEAT_FP sub_call_abs_repeat;
SUB_CALL_FP sub_call;
SUB_CALL_ABS_FP sub_call_abs;
N_LIST_CALL_COND_FP n_list_call_cond;
N_LIST_CALL_ABS_COND_FP n_list_call_abs_cond;
N_SUB_CALL_COND_FP n_sub_call_cond;
N_SUB_CALL_ABS_COND_FP n_sub_call_abs_cond;
N_LIST_JUMP_POS_COND_FP n_list_jump_pos_cond;
N_LIST_JUMP_REL_COND_FP n_list_jump_rel_cond;
N_IF_COND_FP n_if_cond;
N_IF_NOT_COND_FP n_if_not_cond;
N_IF_PIN_COND_FP n_if_pin_cond;
N_IF_NOT_PIN_COND_FP n_if_not_pin_cond;
N_SWITCH_IOPORT_FP n_switch_ioport;
N_LIST_JUMP_COND_FP n_list_jump_cond;
LIST_CALL_COND_FP list_call_cond;
LIST_CALL_ABS_COND_FP list_call_abs_cond;
SUB_CALL_COND_FP sub_call_cond;
SUB_CALL_ABS_COND_FP sub_call_abs_cond;
LIST_JUMP_POS_COND_FP list_jump_pos_cond;
LIST_JUMP_REL_COND_FP list_jump_rel_cond;
IF_COND_FP if_cond;
IF_NOT_COND_FP if_not_cond;
IF_PIN_COND_FP if_pin_cond;
IF_NOT_PIN_COND_FP if_not_pin_cond;
SWITCH_IOPORT_FP switch_ioport;
LIST_JUMP_COND_FP list_jump_cond;
N_SELECT_CHAR_SET_FP n_select_char_set;
N_MARK_TEXT_FP n_mark_text;
N_MARK_TEXT_ABS_FP n_mark_text_abs;
N_MARK_CHAR_FP n_mark_char;
N_MARK_CHAR_ABS_FP n_mark_char_abs;
SELECT_CHAR_SET_FP select_char_set;
MARK_TEXT_FP mark_text;
MARK_TEXT_ABS_FP mark_text_abs;
MARK_CHAR_FP mark_char;
MARK_CHAR_ABS_FP mark_char_abs;
N_MARK_SERIAL_FP n_mark_serial;
N_MARK_SERIAL_ABS_FP n_mark_serial_abs;
N_MARK_DATE_FP n_mark_date;
N_MARK_DATE_ABS_FP n_mark_date_abs;
N_MARK_TIME_FP n_mark_time;
N_MARK_TIME_ABS_FP n_mark_time_abs;
N_SELECT_SERIAL_SET_LIST_FP n_select_serial_set_list;
N_SET_SERIAL_STEP_LIST_FP n_set_serial_step_list;
N_TIME_FIX_F_OFF_FP n_time_fix_f_off;
N_TIME_FIX_F_FP n_time_fix_f;
N_TIME_FIX_FP n_time_fix;
MARK_SERIAL_FP mark_serial;
MARK_SERIAL_ABS_FP mark_serial_abs;
MARK_DATE_FP mark_date;
MARK_DATE_ABS_FP mark_date_abs;
MARK_TIME_FP mark_time;
MARK_TIME_ABS_FP mark_time_abs;
TIME_FIX_F_OFF_FP time_fix_f_off;
SELECT_SERIAL_SET_LIST_FP select_serial_set_list;
SET_SERIAL_STEP_LIST_FP set_serial_step_list;
TIME_FIX_F_FP time_fix_f;
TIME_FIX_FP time_fix;
N_CLEAR_IO_COND_LIST_FP n_clear_io_cond_list;
N_SET_IO_COND_LIST_FP n_set_io_cond_list;
N_WRITE_IO_PORT_MASK_LIST_FP n_write_io_port_mask_list;
N_WRITE_8BIT_PORT_LIST_FP n_write_8bit_port_list;
N_READ_IO_PORT_LIST_FP n_read_io_port_list;
N_WRITE_DA_X_LIST_FP n_write_da_x_list;
N_WRITE_IO_PORT_LIST_FP n_write_io_port_list;
N_WRITE_DA_1_LIST_FP n_write_da_1_list;
N_WRITE_DA_2_LIST_FP n_write_da_2_list;
CLEAR_IO_COND_LIST_FP clear_io_cond_list;
SET_IO_COND_LIST_FP set_io_cond_list;
WRITE_IO_PORT_MASK_LIST_FP write_io_port_mask_list;
WRITE_8BIT_PORT_LIST_FP write_8bit_port_list;
READ_IO_PORT_LIST_FP read_io_port_list;
WRITE_DA_X_LIST_FP write_da_x_list;
WRITE_IO_PORT_LIST_FP write_io_port_list;
WRITE_DA_1_LIST_FP write_da_1_list;
WRITE_DA_2_LIST_FP write_da_2_list;
N_LASER_SIGNAL_ON_LIST_FP n_laser_signal_on_list;
N_LASER_SIGNAL_OFF_LIST_FP n_laser_signal_off_list;
N_PARA_LASER_ON_PULSES_LIST_FP n_para_laser_on_pulses_list;
N_LASER_ON_PULSES_LIST_FP n_laser_on_pulses_list;
N_LASER_ON_LIST_FP n_laser_on_list;
N_SET_LASER_DELAYS_FP n_set_laser_delays;
N_SET_STANDBY_LIST_FP n_set_standby_list;
N_SET_LASER_PULSES_FP n_set_laser_pulses;
N_SET_FIRSTPULSE_KILLER_LIST_FP n_set_firstpulse_killer_list;
N_SET_QSWITCH_DELAY_LIST_FP n_set_qswitch_delay_list;
N_SET_LASER_PIN_OUT_LIST_FP n_set_laser_pin_out_list;
N_SET_VECTOR_CONTROL_FP n_set_vector_control;
N_SET_DEFAULT_PIXEL_LIST_FP n_set_default_pixel_list;
N_SET_PORT_DEFAULT_LIST_FP n_set_port_default_list;
N_SET_AUTO_LASER_PARAMS_LIST_FP n_set_auto_laser_params_list;
N_SET_PULSE_PICKING_LIST_FP n_set_pulse_picking_list;
N_SET_SOFTSTART_LEVEL_LIST_FP n_set_softstart_level_list;
N_SET_SOFTSTART_MODE_LIST_FP n_set_softstart_mode_list;
N_CONFIG_LASER_SIGNALS_LIST_FP n_config_laser_signals_list;
N_SET_LASER_TIMING_FP n_set_laser_timing;
LASER_SIGNAL_ON_LIST_FP laser_signal_on_list;
LASER_SIGNAL_OFF_LIST_FP laser_signal_off_list;
PARA_LASER_ON_PULSES_LIST_FP para_laser_on_pulses_list;
LASER_ON_PULSES_LIST_FP laser_on_pulses_list;
LASER_ON_LIST_FP laser_on_list;
SET_LASER_DELAYS_FP set_laser_delays;
SET_STANDBY_LIST_FP set_standby_list;
SET_LASER_PULSES_FP set_laser_pulses;
SET_FIRSTPULSE_KILLER_LIST_FP set_firstpulse_killer_list;
SET_QSWITCH_DELAY_LIST_FP set_qswitch_delay_list;
SET_LASER_PIN_OUT_LIST_FP set_laser_pin_out_list;
SET_VECTOR_CONTROL_FP set_vector_control;
SET_DEFAULT_PIXEL_LIST_FP set_default_pixel_list;
SET_PORT_DEFAULT_LIST_FP set_port_default_list;
SET_AUTO_LASER_PARAMS_LIST_FP set_auto_laser_params_list;
SET_PULSE_PICKING_LIST_FP set_pulse_picking_list;
SET_SOFTSTART_LEVEL_LIST_FP set_softstart_level_list;
SET_SOFTSTART_MODE_LIST_FP set_softstart_mode_list;
CONFIG_LASER_SIGNALS_LIST_FP config_laser_signals_list;
SET_LASER_TIMING_FP set_laser_timing;
N_FLY_RETURN_Z_FP n_fly_return_z;
N_FLY_RETURN_FP n_fly_return;
N_SET_ROT_CENTER_LIST_FP n_set_rot_center_list;
N_SET_EXT_START_DELAY_LIST_FP n_set_ext_start_delay_list;
N_SET_FLY_X_FP n_set_fly_x;
N_SET_FLY_Y_FP n_set_fly_y;
N_SET_FLY_Z_FP n_set_fly_z;
N_SET_FLY_ROT_FP n_set_fly_rot;
N_SET_FLY_2D_FP n_set_fly_2d;
N_SET_FLY_X_POS_FP n_set_fly_x_pos;
N_SET_FLY_Y_POS_FP n_set_fly_y_pos;
N_SET_FLY_ROT_POS_FP n_set_fly_rot_pos;
N_SET_FLY_LIMITS_FP n_set_fly_limits;
N_SET_FLY_LIMITS_Z_FP n_set_fly_limits_z;
N_IF_FLY_X_OVERFLOW_FP n_if_fly_x_overflow;
N_IF_FLY_Y_OVERFLOW_FP n_if_fly_y_overflow;
N_IF_FLY_Z_OVERFLOW_FP n_if_fly_z_overflow;
N_IF_NOT_FLY_X_OVERFLOW_FP n_if_not_fly_x_overflow;
N_IF_NOT_FLY_Y_OVERFLOW_FP n_if_not_fly_y_overflow;
N_IF_NOT_FLY_Z_OVERFLOW_FP n_if_not_fly_z_overflow;
N_CLEAR_FLY_OVERFLOW_FP n_clear_fly_overflow;
N_SET_MCBSP_X_LIST_FP n_set_mcbsp_x_list;
N_SET_MCBSP_Y_LIST_FP n_set_mcbsp_y_list;
N_SET_MCBSP_ROT_LIST_FP n_set_mcbsp_rot_list;
N_SET_MCBSP_MATRIX_LIST_FP n_set_mcbsp_matrix_list;
N_SET_MCBSP_GLOBAL_X_LIST_FP n_set_mcbsp_global_x_list;
N_SET_MCBSP_GLOBAL_Y_LIST_FP n_set_mcbsp_global_y_list;
N_SET_MCBSP_GLOBAL_ROT_LIST_FP n_set_mcbsp_global_rot_list;
N_SET_MCBSP_GLOBAL_MATRIX_LIST_FP n_set_mcbsp_global_matrix_list;
N_SET_MCBSP_IN_LIST_FP n_set_mcbsp_in_list;
N_SET_MULTI_MCBSP_IN_LIST_FP n_set_multi_mcbsp_in_list;
N_WAIT_FOR_ENCODER_MODE_FP n_wait_for_encoder_mode;
N_WAIT_FOR_MCBSP_FP n_wait_for_mcbsp;
N_SET_ENCODER_SPEED_FP n_set_encoder_speed;
N_GET_MCBSP_LIST_FP n_get_mcbsp_list;
N_STORE_ENCODER_FP n_store_encoder;
N_WAIT_FOR_ENCODER_IN_RANGE_FP n_wait_for_encoder_in_range;
N_ACTIVATE_FLY_XY_FP n_activate_fly_xy;
N_ACTIVATE_FLY_2D_FP n_activate_fly_2d;
N_ACTIVATE_FLY_XY_ENCODER_FP n_activate_fly_xy_encoder;
N_ACTIVATE_FLY_2D_ENCODER_FP n_activate_fly_2d_encoder;
N_IF_NOT_ACTIVATED_FP n_if_not_activated;
N_PARK_POSITION_FP n_park_position;
N_PARK_RETURN_FP n_park_return;
N_WAIT_FOR_ENCODER_FP n_wait_for_encoder;
FLY_RETURN_Z_FP fly_return_z;
FLY_RETURN_FP fly_return;
SET_ROT_CENTER_LIST_FP set_rot_center_list;
SET_EXT_START_DELAY_LIST_FP set_ext_start_delay_list;
SET_FLY_X_FP set_fly_x;
SET_FLY_Y_FP set_fly_y;
SET_FLY_Z_FP set_fly_z;
SET_FLY_ROT_FP set_fly_rot;
SET_FLY_2D_FP set_fly_2d;
SET_FLY_X_POS_FP set_fly_x_pos;
SET_FLY_Y_POS_FP set_fly_y_pos;
SET_FLY_ROT_POS_FP set_fly_rot_pos;
SET_FLY_LIMITS_FP set_fly_limits;
SET_FLY_LIMITS_Z_FP set_fly_limits_z;
IF_FLY_X_OVERFLOW_FP if_fly_x_overflow;
IF_FLY_Y_OVERFLOW_FP if_fly_y_overflow;
IF_FLY_Z_OVERFLOW_FP if_fly_z_overflow;
IF_NOT_FLY_X_OVERFLOW_FP if_not_fly_x_overflow;
IF_NOT_FLY_Y_OVERFLOW_FP if_not_fly_y_overflow;
IF_NOT_FLY_Z_OVERFLOW_FP if_not_fly_z_overflow;
CLEAR_FLY_OVERFLOW_FP clear_fly_overflow;
SET_MCBSP_X_LIST_FP set_mcbsp_x_list;
SET_MCBSP_Y_LIST_FP set_mcbsp_y_list;
SET_MCBSP_ROT_LIST_FP set_mcbsp_rot_list;
SET_MCBSP_MATRIX_LIST_FP set_mcbsp_matrix_list;
SET_MCBSP_GLOBAL_X_LIST_FP set_mcbsp_global_x_list;
SET_MCBSP_GLOBAL_Y_LIST_FP set_mcbsp_global_y_list;
SET_MCBSP_GLOBAL_ROT_LIST_FP set_mcbsp_global_rot_list;
SET_MCBSP_GLOBAL_MATRIX_LIST_FP set_mcbsp_global_matrix_list;
SET_MCBSP_IN_LIST_FP set_mcbsp_in_list;
SET_MULTI_MCBSP_IN_LIST_FP set_multi_mcbsp_in_list;
WAIT_FOR_ENCODER_MODE_FP wait_for_encoder_mode;
WAIT_FOR_MCBSP_FP wait_for_mcbsp;
SET_ENCODER_SPEED_FP set_encoder_speed;
GET_MCBSP_LIST_FP get_mcbsp_list;
STORE_ENCODER_FP store_encoder;
WAIT_FOR_ENCODER_IN_RANGE_FP wait_for_encoder_in_range;
ACTIVATE_FLY_XY_FP activate_fly_xy;
ACTIVATE_FLY_2D_FP activate_fly_2d;
ACTIVATE_FLY_XY_ENCODER_FP activate_fly_xy_encoder;
ACTIVATE_FLY_2D_ENCODER_FP activate_fly_2d_encoder;
IF_NOT_ACTIVATED_FP if_not_activated;
PARK_POSITION_FP park_position;
PARK_RETURN_FP park_return;
WAIT_FOR_ENCODER_FP wait_for_encoder;
N_SAVE_AND_RESTART_TIMER_FP n_save_and_restart_timer;
N_SET_WOBBEL_FP n_set_wobbel;
N_SET_WOBBEL_MODE_FP n_set_wobbel_mode;
N_SET_WOBBEL_MODE_PHASE_FP n_set_wobbel_mode_phase;
N_SET_WOBBEL_DIRECTION_FP n_set_wobbel_direction;
N_SET_WOBBEL_CONTROL_FP n_set_wobbel_control;
N_SET_WOBBEL_VECTOR_FP n_set_wobbel_vector;
N_SET_WOBBEL_OFFSET_FP n_set_wobbel_offset;
N_LOAD_WOBBEL_POWER_LIST_FP n_load_wobbel_power_list;
N_SET_WOBBEL_POWER_ANGLE_FP n_set_wobbel_power_angle;
N_SET_TRIGGER_FP n_set_trigger;
N_SET_TRIGGER4_FP n_set_trigger4;
N_SET_PIXEL_LINE_3D_FP n_set_pixel_line_3d;
N_SET_PIXEL_LINE_FP n_set_pixel_line;
N_STRETCH_PIXEL_LINE_FP n_stretch_pixel_line;
N_SET_N_PIXEL_FP n_set_n_pixel;
N_SET_PIXEL_FP n_set_pixel;
N_RS232_WRITE_TEXT_LIST_FP n_rs232_write_text_list;
N_SET_MCBSP_OUT_FP n_set_mcbsp_out;
N_SET_MCBSP_OUT_PTR_LIST_FP n_set_mcbsp_out_ptr_list;
N_CAMMING_FP n_camming;
N_PERIODIC_TOGGLE_LIST_FP n_periodic_toggle_list;
N_MICRO_VECTOR_ABS_3D_FP n_micro_vector_abs_3d;
N_MICRO_VECTOR_REL_3D_FP n_micro_vector_rel_3d;
N_MICRO_VECTOR_ABS_FP n_micro_vector_abs;
N_MICRO_VECTOR_REL_FP n_micro_vector_rel;
N_SET_FREE_VARIABLE_LIST_FP n_set_free_variable_list;
N_JUMP_ABS_DRILL_2_FP n_jump_abs_drill_2;
N_JUMP_REL_DRILL_2_FP n_jump_rel_drill_2;
N_JUMP_ABS_DRILL_FP n_jump_abs_drill;
N_JUMP_REL_DRILL_FP n_jump_rel_drill;
SAVE_AND_RESTART_TIMER_FP save_and_restart_timer;
SET_WOBBEL_FP set_wobbel;
SET_WOBBEL_MODE_FP set_wobbel_mode;
SET_WOBBEL_MODE_PHASE_FP set_wobbel_mode_phase;
SET_WOBBEL_DIRECTION_FP set_wobbel_direction;
SET_WOBBEL_CONTROL_FP set_wobbel_control;
SET_WOBBEL_VECTOR_FP set_wobbel_vector;
SET_WOBBEL_OFFSET_FP set_wobbel_offset;
LOAD_WOBBEL_POWER_LIST_FP load_wobbel_power_list;
SET_WOBBEL_POWER_ANGLE_FP set_wobbel_power_angle;
SET_TRIGGER_FP set_trigger;
SET_TRIGGER4_FP set_trigger4;
SET_PIXEL_LINE_3D_FP set_pixel_line_3d;
SET_PIXEL_LINE_FP set_pixel_line;
STRETCH_PIXEL_LINE_FP stretch_pixel_line;
SET_N_PIXEL_FP set_n_pixel;
SET_PIXEL_FP set_pixel;
RS232_WRITE_TEXT_LIST_FP rs232_write_text_list;
SET_MCBSP_OUT_FP set_mcbsp_out;
SET_MCBSP_OUT_PTR_LIST_FP set_mcbsp_out_ptr_list;
CAMMING_FP camming;
PERIODIC_TOGGLE_LIST_FP periodic_toggle_list;
MICRO_VECTOR_ABS_3D_FP micro_vector_abs_3d;
MICRO_VECTOR_REL_3D_FP micro_vector_rel_3d;
MICRO_VECTOR_ABS_FP micro_vector_abs;
MICRO_VECTOR_REL_FP micro_vector_rel;
SET_FREE_VARIABLE_LIST_FP set_free_variable_list;
JUMP_ABS_DRILL_2_FP jump_abs_drill_2;
JUMP_REL_DRILL_2_FP jump_rel_drill_2;
JUMP_ABS_DRILL_FP jump_abs_drill;
JUMP_REL_DRILL_FP jump_rel_drill;
N_TIMED_MARK_ABS_3D_FP n_timed_mark_abs_3d;
N_TIMED_MARK_REL_3D_FP n_timed_mark_rel_3d;
N_TIMED_MARK_ABS_FP n_timed_mark_abs;
N_TIMED_MARK_REL_FP n_timed_mark_rel;
TIMED_MARK_ABS_3D_FP timed_mark_abs_3d;
TIMED_MARK_REL_3D_FP timed_mark_rel_3d;
TIMED_MARK_ABS_FP timed_mark_abs;
TIMED_MARK_REL_FP timed_mark_rel;
N_MARK_ABS_3D_FP n_mark_abs_3d;
N_MARK_REL_3D_FP n_mark_rel_3d;
N_MARK_ABS_FP n_mark_abs;
N_MARK_REL_FP n_mark_rel;
MARK_ABS_3D_FP mark_abs_3d;
MARK_REL_3D_FP mark_rel_3d;
MARK_ABS_FP mark_abs;
MARK_REL_FP mark_rel;
N_TIMED_JUMP_ABS_3D_FP n_timed_jump_abs_3d;
N_TIMED_JUMP_REL_3D_FP n_timed_jump_rel_3d;
N_TIMED_JUMP_ABS_FP n_timed_jump_abs;
N_TIMED_JUMP_REL_FP n_timed_jump_rel;
TIMED_JUMP_ABS_3D_FP timed_jump_abs_3d;
TIMED_JUMP_REL_3D_FP timed_jump_rel_3d;
TIMED_JUMP_ABS_FP timed_jump_abs;
TIMED_JUMP_REL_FP timed_jump_rel;
N_JUMP_ABS_3D_FP n_jump_abs_3d;
N_JUMP_REL_3D_FP n_jump_rel_3d;
N_JUMP_ABS_FP n_jump_abs;
N_JUMP_REL_FP n_jump_rel;
JUMP_ABS_3D_FP jump_abs_3d;
JUMP_REL_3D_FP jump_rel_3d;
JUMP_ABS_FP jump_abs;
JUMP_REL_FP jump_rel;
N_PARA_MARK_ABS_3D_FP n_para_mark_abs_3d;
N_PARA_MARK_REL_3D_FP n_para_mark_rel_3d;
N_PARA_MARK_ABS_FP n_para_mark_abs;
N_PARA_MARK_REL_FP n_para_mark_rel;
PARA_MARK_ABS_3D_FP para_mark_abs_3d;
PARA_MARK_REL_3D_FP para_mark_rel_3d;
PARA_MARK_ABS_FP para_mark_abs;
PARA_MARK_REL_FP para_mark_rel;
N_PARA_JUMP_ABS_3D_FP n_para_jump_abs_3d;
N_PARA_JUMP_REL_3D_FP n_para_jump_rel_3d;
N_PARA_JUMP_ABS_FP n_para_jump_abs;
N_PARA_JUMP_REL_FP n_para_jump_rel;
PARA_JUMP_ABS_3D_FP para_jump_abs_3d;
PARA_JUMP_REL_3D_FP para_jump_rel_3d;
PARA_JUMP_ABS_FP para_jump_abs;
PARA_JUMP_REL_FP para_jump_rel;
N_TIMED_PARA_MARK_ABS_3D_FP n_timed_para_mark_abs_3d;
N_TIMED_PARA_MARK_REL_3D_FP n_timed_para_mark_rel_3d;
N_TIMED_PARA_JUMP_ABS_3D_FP n_timed_para_jump_abs_3d;
N_TIMED_PARA_JUMP_REL_3D_FP n_timed_para_jump_rel_3d;
N_TIMED_PARA_MARK_ABS_FP n_timed_para_mark_abs;
N_TIMED_PARA_MARK_REL_FP n_timed_para_mark_rel;
N_TIMED_PARA_JUMP_ABS_FP n_timed_para_jump_abs;
N_TIMED_PARA_JUMP_REL_FP n_timed_para_jump_rel;
TIMED_PARA_MARK_ABS_3D_FP timed_para_mark_abs_3d;
TIMED_PARA_MARK_REL_3D_FP timed_para_mark_rel_3d;
TIMED_PARA_JUMP_ABS_3D_FP timed_para_jump_abs_3d;
TIMED_PARA_JUMP_REL_3D_FP timed_para_jump_rel_3d;
TIMED_PARA_MARK_ABS_FP timed_para_mark_abs;
TIMED_PARA_MARK_REL_FP timed_para_mark_rel;
TIMED_PARA_JUMP_ABS_FP timed_para_jump_abs;
TIMED_PARA_JUMP_REL_FP timed_para_jump_rel;
N_SET_DEFOCUS_LIST_FP n_set_defocus_list;
N_SET_DEFOCUS_OFFSET_LIST_FP n_set_defocus_offset_list;
N_SET_ZOOM_LIST_FP n_set_zoom_list;
SET_DEFOCUS_LIST_FP set_defocus_list;
SET_DEFOCUS_OFFSET_LIST_FP set_defocus_offset_list;
SET_ZOOM_LIST_FP set_zoom_list;
N_TIMED_ARC_ABS_FP n_timed_arc_abs;
N_TIMED_ARC_REL_FP n_timed_arc_rel;
TIMED_ARC_ABS_FP timed_arc_abs;
TIMED_ARC_REL_FP timed_arc_rel;
N_ARC_ABS_3D_FP n_arc_abs_3d;
N_ARC_REL_3D_FP n_arc_rel_3d;
N_ARC_ABS_FP n_arc_abs;
N_ARC_REL_FP n_arc_rel;
N_SET_ELLIPSE_FP n_set_ellipse;
N_MARK_ELLIPSE_ABS_FP n_mark_ellipse_abs;
N_MARK_ELLIPSE_REL_FP n_mark_ellipse_rel;
ARC_ABS_3D_FP arc_abs_3d;
ARC_REL_3D_FP arc_rel_3d;
ARC_ABS_FP arc_abs;
ARC_REL_FP arc_rel;
SET_ELLIPSE_FP set_ellipse;
MARK_ELLIPSE_ABS_FP mark_ellipse_abs;
MARK_ELLIPSE_REL_FP mark_ellipse_rel;
N_SET_OFFSET_XYZ_LIST_FP n_set_offset_xyz_list;
N_SET_OFFSET_LIST_FP n_set_offset_list;
N_SET_MATRIX_LIST_FP n_set_matrix_list;
N_SET_ANGLE_LIST_FP n_set_angle_list;
N_SET_SCALE_LIST_FP n_set_scale_list;
N_APPLY_MCBSP_LIST_FP n_apply_mcbsp_list;
SET_OFFSET_XYZ_LIST_FP set_offset_xyz_list;
SET_OFFSET_LIST_FP set_offset_list;
SET_MATRIX_LIST_FP set_matrix_list;
SET_ANGLE_LIST_FP set_angle_list;
SET_SCALE_LIST_FP set_scale_list;
APPLY_MCBSP_LIST_FP apply_mcbsp_list;
N_SET_MARK_SPEED_FP n_set_mark_speed;
N_SET_JUMP_SPEED_FP n_set_jump_speed;
N_SET_SKY_WRITING_PARA_LIST_FP n_set_sky_writing_para_list;
N_SET_SKY_WRITING_LIST_FP n_set_sky_writing_list;
N_SET_SKY_WRITING_LIMIT_LIST_FP n_set_sky_writing_limit_list;
N_SET_SKY_WRITING_MODE_LIST_FP n_set_sky_writing_mode_list;
N_SET_SCANNER_DELAYS_FP n_set_scanner_delays;
N_SET_JUMP_MODE_LIST_FP n_set_jump_mode_list;
N_ENDURING_WOBBEL_FP n_enduring_wobbel;
N_SET_DELAY_MODE_LIST_FP n_set_delay_mode_list;
SET_MARK_SPEED_FP set_mark_speed;
SET_JUMP_SPEED_FP set_jump_speed;
SET_SKY_WRITING_PARA_LIST_FP set_sky_writing_para_list;
SET_SKY_WRITING_LIST_FP set_sky_writing_list;
SET_SKY_WRITING_LIMIT_LIST_FP set_sky_writing_limit_list;
SET_SKY_WRITING_MODE_LIST_FP set_sky_writing_mode_list;
SET_SCANNER_DELAYS_FP set_scanner_delays;
SET_JUMP_MODE_LIST_FP set_jump_mode_list;
ENDURING_WOBBEL_FP enduring_wobbel;
SET_DELAY_MODE_LIST_FP set_delay_mode_list;
N_STEPPER_ENABLE_LIST_FP n_stepper_enable_list;
N_STEPPER_CONTROL_LIST_FP n_stepper_control_list;
N_STEPPER_ABS_NO_LIST_FP n_stepper_abs_no_list;
N_STEPPER_REL_NO_LIST_FP n_stepper_rel_no_list;
N_STEPPER_ABS_LIST_FP n_stepper_abs_list;
N_STEPPER_REL_LIST_FP n_stepper_rel_list;
N_STEPPER_WAIT_FP n_stepper_wait;
STEPPER_ENABLE_LIST_FP stepper_enable_list;
STEPPER_CONTROL_LIST_FP stepper_control_list;
STEPPER_ABS_NO_LIST_FP stepper_abs_no_list;
STEPPER_REL_NO_LIST_FP stepper_rel_no_list;
STEPPER_ABS_LIST_FP stepper_abs_list;
STEPPER_REL_LIST_FP stepper_rel_list;
STEPPER_WAIT_FP stepper_wait;


//  RTC5open
//
//  This function explicitly or dynamically links to the RTC5DLL.DLL or libslrtc5.so.
//  Call it before using any RTC5 function.
//
//      Return      Meaning
//
//       0          Success. Using of the RTC5 functions is possible.
//      -1          Error: file RTC5DLL.DLL or libslrtc5.so not found. The RTC5 functions
//                  cannot be used.
//      -2          Error: file RTC5DLL.DLL or libslrtc5.so is already loaded.
long RTC5open(void) {
    if(gLibRTC5)
        return(-2);

#ifdef _WIN32
    #if !defined(_WIN64)
    gLibRTC5 = LoadLibraryA("RTC5DLL.DLL");
    #else
    gLibRTC5 = LoadLibraryA("RTC5DLLx64.DLL");
    #endif // !defined(_WIN64)
#else
    gLibRTC5 = dlopen("libslrtc5.so",  RTLD_NOW | RTLD_LOCAL );
#endif
     if(!gLibRTC5)
         return(-1);

     // Get the addresses of the DLL-Functions
     init_rtc5_dll = (INIT_RTC5_DLL_FP) GetProcAddress(gLibRTC5,"init_rtc5_dll");
     free_rtc5_dll = (FREE_RTC5_DLL_FP) GetProcAddress(gLibRTC5,"free_rtc5_dll");
     set_rtc4_mode = (SET_RTC4_MODE_FP) GetProcAddress(gLibRTC5,"set_rtc4_mode");
     set_rtc5_mode = (SET_RTC5_MODE_FP) GetProcAddress(gLibRTC5,"set_rtc5_mode");
     get_rtc_mode = (GET_RTC_MODE_FP) GetProcAddress(gLibRTC5,"get_rtc_mode");
     n_get_error = (N_GET_ERROR_FP) GetProcAddress(gLibRTC5,"n_get_error");
     n_get_last_error = (N_GET_LAST_ERROR_FP) GetProcAddress(gLibRTC5,"n_get_last_error");
     n_reset_error = (N_RESET_ERROR_FP) GetProcAddress(gLibRTC5,"n_reset_error");
     n_set_verify = (N_SET_VERIFY_FP) GetProcAddress(gLibRTC5,"n_set_verify");
     get_error = (GET_ERROR_FP) GetProcAddress(gLibRTC5,"get_error");
     get_last_error = (GET_LAST_ERROR_FP) GetProcAddress(gLibRTC5,"get_last_error");
     reset_error = (RESET_ERROR_FP) GetProcAddress(gLibRTC5,"reset_error");
     set_verify = (SET_VERIFY_FP) GetProcAddress(gLibRTC5,"set_verify");
     verify_checksum = (VERIFY_CHECKSUM_FP) GetProcAddress(gLibRTC5,"verify_checksum");
     read_abc_from_file = (READ_ABC_FROM_FILE_FP) GetProcAddress(gLibRTC5,"read_abc_from_file");
     write_abc_to_file = (WRITE_ABC_TO_FILE_FP) GetProcAddress(gLibRTC5,"write_abc_to_file");
     rtc5_count_cards = (RTC5_COUNT_CARDS_FP) GetProcAddress(gLibRTC5,"rtc5_count_cards");
     acquire_rtc = (ACQUIRE_RTC_FP) GetProcAddress(gLibRTC5,"acquire_rtc");
     release_rtc = (RELEASE_RTC_FP) GetProcAddress(gLibRTC5,"release_rtc");
     select_rtc = (SELECT_RTC_FP) GetProcAddress(gLibRTC5,"select_rtc");
     get_dll_version = (GET_DLL_VERSION_FP) GetProcAddress(gLibRTC5,"get_dll_version");
     n_get_serial_number = (N_GET_SERIAL_NUMBER_FP) GetProcAddress(gLibRTC5,"n_get_serial_number");
     n_get_hex_version = (N_GET_HEX_VERSION_FP) GetProcAddress(gLibRTC5,"n_get_hex_version");
     n_get_rtc_version = (N_GET_RTC_VERSION_FP) GetProcAddress(gLibRTC5,"n_get_rtc_version");
     get_serial_number = (GET_SERIAL_NUMBER_FP) GetProcAddress(gLibRTC5,"get_serial_number");
     get_hex_version = (GET_HEX_VERSION_FP) GetProcAddress(gLibRTC5,"get_hex_version");
     get_rtc_version = (GET_RTC_VERSION_FP) GetProcAddress(gLibRTC5,"get_rtc_version");
     n_load_program_file = (N_LOAD_PROGRAM_FILE_FP) GetProcAddress(gLibRTC5,"n_load_program_file");
     n_sync_slaves = (N_SYNC_SLAVES_FP) GetProcAddress(gLibRTC5,"n_sync_slaves");
     n_get_sync_status = (N_GET_SYNC_STATUS_FP) GetProcAddress(gLibRTC5,"n_get_sync_status");
     n_load_correction_file = (N_LOAD_CORRECTION_FILE_FP) GetProcAddress(gLibRTC5,"n_load_correction_file");
     n_load_zoom_correction_file = (N_LOAD_ZOOM_CORRECTION_FILE_FP) GetProcAddress(gLibRTC5,"n_load_zoom_correction_file");
     n_load_z_table = (N_LOAD_Z_TABLE_FP) GetProcAddress(gLibRTC5,"n_load_z_table");
     n_select_cor_table = (N_SELECT_COR_TABLE_FP) GetProcAddress(gLibRTC5,"n_select_cor_table");
     n_set_dsp_mode = (N_SET_DSP_MODE_FP) GetProcAddress(gLibRTC5,"n_set_dsp_mode");
     n_load_stretch_table = (N_LOAD_STRETCH_TABLE_FP) GetProcAddress(gLibRTC5,"n_load_stretch_table");
     n_number_of_correction_tables = (N_NUMBER_OF_CORRECTION_TABLES_FP) GetProcAddress(gLibRTC5,"n_number_of_correction_tables");
     n_get_head_para = (N_GET_HEAD_PARA_FP) GetProcAddress(gLibRTC5,"n_get_head_para");
     n_get_table_para = (N_GET_TABLE_PARA_FP) GetProcAddress(gLibRTC5,"n_get_table_para");
     load_program_file = (LOAD_PROGRAM_FILE_FP) GetProcAddress(gLibRTC5,"load_program_file");
     sync_slaves = (SYNC_SLAVES_FP) GetProcAddress(gLibRTC5,"sync_slaves");
     get_sync_status = (GET_SYNC_STATUS_FP) GetProcAddress(gLibRTC5,"get_sync_status");
     load_correction_file = (LOAD_CORRECTION_FILE_FP) GetProcAddress(gLibRTC5,"load_correction_file");
     load_zoom_correction_file = (LOAD_ZOOM_CORRECTION_FILE_FP) GetProcAddress(gLibRTC5,"load_zoom_correction_file");
     load_z_table = (LOAD_Z_TABLE_FP) GetProcAddress(gLibRTC5,"load_z_table");
     select_cor_table = (SELECT_COR_TABLE_FP) GetProcAddress(gLibRTC5,"select_cor_table");
     set_dsp_mode = (SET_DSP_MODE_FP) GetProcAddress(gLibRTC5,"set_dsp_mode");
     load_stretch_table = (LOAD_STRETCH_TABLE_FP) GetProcAddress(gLibRTC5,"load_stretch_table");
     number_of_correction_tables = (NUMBER_OF_CORRECTION_TABLES_FP) GetProcAddress(gLibRTC5,"number_of_correction_tables");
     get_head_para = (GET_HEAD_PARA_FP) GetProcAddress(gLibRTC5,"get_head_para");
     get_table_para = (GET_TABLE_PARA_FP) GetProcAddress(gLibRTC5,"get_table_para");
     n_config_list = (N_CONFIG_LIST_FP) GetProcAddress(gLibRTC5,"n_config_list");
     n_get_config_list = (N_GET_CONFIG_LIST_FP) GetProcAddress(gLibRTC5,"n_get_config_list");
     n_save_disk = (N_SAVE_DISK_FP) GetProcAddress(gLibRTC5,"n_save_disk");
     n_load_disk = (N_LOAD_DISK_FP) GetProcAddress(gLibRTC5,"n_load_disk");
     n_get_list_space = (N_GET_LIST_SPACE_FP) GetProcAddress(gLibRTC5,"n_get_list_space");
     config_list = (CONFIG_LIST_FP) GetProcAddress(gLibRTC5,"config_list");
     get_config_list = (GET_CONFIG_LIST_FP) GetProcAddress(gLibRTC5,"get_config_list");
     save_disk = (SAVE_DISK_FP) GetProcAddress(gLibRTC5,"save_disk");
     load_disk = (LOAD_DISK_FP) GetProcAddress(gLibRTC5,"load_disk");
     get_list_space = (GET_LIST_SPACE_FP) GetProcAddress(gLibRTC5,"get_list_space");
     n_set_start_list_pos = (N_SET_START_LIST_POS_FP) GetProcAddress(gLibRTC5,"n_set_start_list_pos");
     n_set_start_list = (N_SET_START_LIST_FP) GetProcAddress(gLibRTC5,"n_set_start_list");
     n_set_start_list_1 = (N_SET_START_LIST_1_FP) GetProcAddress(gLibRTC5,"n_set_start_list_1");
     n_set_start_list_2 = (N_SET_START_LIST_2_FP) GetProcAddress(gLibRTC5,"n_set_start_list_2");
     n_set_input_pointer = (N_SET_INPUT_POINTER_FP) GetProcAddress(gLibRTC5,"n_set_input_pointer");
     n_load_list = (N_LOAD_LIST_FP) GetProcAddress(gLibRTC5,"n_load_list");
     n_load_sub = (N_LOAD_SUB_FP) GetProcAddress(gLibRTC5,"n_load_sub");
     n_load_char = (N_LOAD_CHAR_FP) GetProcAddress(gLibRTC5,"n_load_char");
     n_load_text_table = (N_LOAD_TEXT_TABLE_FP) GetProcAddress(gLibRTC5,"n_load_text_table");
     n_get_list_pointer = (N_GET_LIST_POINTER_FP) GetProcAddress(gLibRTC5,"n_get_list_pointer");
     n_get_input_pointer = (N_GET_INPUT_POINTER_FP) GetProcAddress(gLibRTC5,"n_get_input_pointer");
     set_start_list_pos = (SET_START_LIST_POS_FP) GetProcAddress(gLibRTC5,"set_start_list_pos");
     set_start_list = (SET_START_LIST_FP) GetProcAddress(gLibRTC5,"set_start_list");
     set_start_list_1 = (SET_START_LIST_1_FP) GetProcAddress(gLibRTC5,"set_start_list_1");
     set_start_list_2 = (SET_START_LIST_2_FP) GetProcAddress(gLibRTC5,"set_start_list_2");
     set_input_pointer = (SET_INPUT_POINTER_FP) GetProcAddress(gLibRTC5,"set_input_pointer");
     load_list = (LOAD_LIST_FP) GetProcAddress(gLibRTC5,"load_list");
     load_sub = (LOAD_SUB_FP) GetProcAddress(gLibRTC5,"load_sub");
     load_char = (LOAD_CHAR_FP) GetProcAddress(gLibRTC5,"load_char");
     load_text_table = (LOAD_TEXT_TABLE_FP) GetProcAddress(gLibRTC5,"load_text_table");
     get_list_pointer = (GET_LIST_POINTER_FP) GetProcAddress(gLibRTC5,"get_list_pointer");
     get_input_pointer = (GET_INPUT_POINTER_FP) GetProcAddress(gLibRTC5,"get_input_pointer");
     n_execute_list_pos = (N_EXECUTE_LIST_POS_FP) GetProcAddress(gLibRTC5,"n_execute_list_pos");
     n_execute_at_pointer = (N_EXECUTE_AT_POINTER_FP) GetProcAddress(gLibRTC5,"n_execute_at_pointer");
     n_execute_list = (N_EXECUTE_LIST_FP) GetProcAddress(gLibRTC5,"n_execute_list");
     n_execute_list_1 = (N_EXECUTE_LIST_1_FP) GetProcAddress(gLibRTC5,"n_execute_list_1");
     n_execute_list_2 = (N_EXECUTE_LIST_2_FP) GetProcAddress(gLibRTC5,"n_execute_list_2");
     n_get_out_pointer = (N_GET_OUT_POINTER_FP) GetProcAddress(gLibRTC5,"n_get_out_pointer");
     execute_list_pos = (EXECUTE_LIST_POS_FP) GetProcAddress(gLibRTC5,"execute_list_pos");
     execute_at_pointer = (EXECUTE_AT_POINTER_FP) GetProcAddress(gLibRTC5,"execute_at_pointer");
     execute_list = (EXECUTE_LIST_FP) GetProcAddress(gLibRTC5,"execute_list");
     execute_list_1 = (EXECUTE_LIST_1_FP) GetProcAddress(gLibRTC5,"execute_list_1");
     execute_list_2 = (EXECUTE_LIST_2_FP) GetProcAddress(gLibRTC5,"execute_list_2");
     get_out_pointer = (GET_OUT_POINTER_FP) GetProcAddress(gLibRTC5,"get_out_pointer");
     n_auto_change_pos = (N_AUTO_CHANGE_POS_FP) GetProcAddress(gLibRTC5,"n_auto_change_pos");
     n_start_loop = (N_START_LOOP_FP) GetProcAddress(gLibRTC5,"n_start_loop");
     n_quit_loop = (N_QUIT_LOOP_FP) GetProcAddress(gLibRTC5,"n_quit_loop");
     n_pause_list = (N_PAUSE_LIST_FP) GetProcAddress(gLibRTC5,"n_pause_list");
     n_restart_list = (N_RESTART_LIST_FP) GetProcAddress(gLibRTC5,"n_restart_list");
     n_release_wait = (N_RELEASE_WAIT_FP) GetProcAddress(gLibRTC5,"n_release_wait");
     n_stop_execution = (N_STOP_EXECUTION_FP) GetProcAddress(gLibRTC5,"n_stop_execution");
     n_set_pause_list_cond = (N_SET_PAUSE_LIST_COND_FP) GetProcAddress(gLibRTC5,"n_set_pause_list_cond");
     n_set_pause_list_not_cond = (N_SET_PAUSE_LIST_NOT_COND_FP) GetProcAddress(gLibRTC5,"n_set_pause_list_not_cond");
     n_auto_change = (N_AUTO_CHANGE_FP) GetProcAddress(gLibRTC5,"n_auto_change");
     n_stop_list = (N_STOP_LIST_FP) GetProcAddress(gLibRTC5,"n_stop_list");
     n_get_wait_status = (N_GET_WAIT_STATUS_FP) GetProcAddress(gLibRTC5,"n_get_wait_status");
     n_read_status = (N_READ_STATUS_FP) GetProcAddress(gLibRTC5,"n_read_status");
     n_get_status = (N_GET_STATUS_FP) GetProcAddress(gLibRTC5,"n_get_status");
     auto_change_pos = (AUTO_CHANGE_POS_FP) GetProcAddress(gLibRTC5,"auto_change_pos");
     start_loop = (START_LOOP_FP) GetProcAddress(gLibRTC5,"start_loop");
     quit_loop = (QUIT_LOOP_FP) GetProcAddress(gLibRTC5,"quit_loop");
     pause_list = (PAUSE_LIST_FP) GetProcAddress(gLibRTC5,"pause_list");
     restart_list = (RESTART_LIST_FP) GetProcAddress(gLibRTC5,"restart_list");
     release_wait = (RELEASE_WAIT_FP) GetProcAddress(gLibRTC5,"release_wait");
     stop_execution = (STOP_EXECUTION_FP) GetProcAddress(gLibRTC5,"stop_execution");
     set_pause_list_cond = (SET_PAUSE_LIST_COND_FP) GetProcAddress(gLibRTC5,"set_pause_list_cond");
     set_pause_list_not_cond = (SET_PAUSE_LIST_NOT_COND_FP) GetProcAddress(gLibRTC5,"set_pause_list_not_cond");
     auto_change = (AUTO_CHANGE_FP) GetProcAddress(gLibRTC5,"auto_change");
     stop_list = (STOP_LIST_FP) GetProcAddress(gLibRTC5,"stop_list");
     get_wait_status = (GET_WAIT_STATUS_FP) GetProcAddress(gLibRTC5,"get_wait_status");
     read_status = (READ_STATUS_FP) GetProcAddress(gLibRTC5,"read_status");
     get_status = (GET_STATUS_FP) GetProcAddress(gLibRTC5,"get_status");
     n_set_extstartpos = (N_SET_EXTSTARTPOS_FP) GetProcAddress(gLibRTC5,"n_set_extstartpos");
     n_set_max_counts = (N_SET_MAX_COUNTS_FP) GetProcAddress(gLibRTC5,"n_set_max_counts");
     n_set_control_mode = (N_SET_CONTROL_MODE_FP) GetProcAddress(gLibRTC5,"n_set_control_mode");
     n_simulate_ext_stop = (N_SIMULATE_EXT_STOP_FP) GetProcAddress(gLibRTC5,"n_simulate_ext_stop");
     n_simulate_ext_start_ctrl = (N_SIMULATE_EXT_START_CTRL_FP) GetProcAddress(gLibRTC5,"n_simulate_ext_start_ctrl");
     n_get_counts = (N_GET_COUNTS_FP) GetProcAddress(gLibRTC5,"n_get_counts");
     n_get_startstop_info = (N_GET_STARTSTOP_INFO_FP) GetProcAddress(gLibRTC5,"n_get_startstop_info");
     set_extstartpos = (SET_EXTSTARTPOS_FP) GetProcAddress(gLibRTC5,"set_extstartpos");
     set_max_counts = (SET_MAX_COUNTS_FP) GetProcAddress(gLibRTC5,"set_max_counts");
     set_control_mode = (SET_CONTROL_MODE_FP) GetProcAddress(gLibRTC5,"set_control_mode");
     simulate_ext_stop = (SIMULATE_EXT_STOP_FP) GetProcAddress(gLibRTC5,"simulate_ext_stop");
     simulate_ext_start_ctrl = (SIMULATE_EXT_START_CTRL_FP) GetProcAddress(gLibRTC5,"simulate_ext_start_ctrl");
     get_counts = (GET_COUNTS_FP) GetProcAddress(gLibRTC5,"get_counts");
     get_startstop_info = (GET_STARTSTOP_INFO_FP) GetProcAddress(gLibRTC5,"get_startstop_info");
     n_copy_dst_src = (N_COPY_DST_SRC_FP) GetProcAddress(gLibRTC5,"n_copy_dst_src");
     n_set_char_pointer = (N_SET_CHAR_POINTER_FP) GetProcAddress(gLibRTC5,"n_set_char_pointer");
     n_set_sub_pointer = (N_SET_SUB_POINTER_FP) GetProcAddress(gLibRTC5,"n_set_sub_pointer");
     n_set_text_table_pointer = (N_SET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC5,"n_set_text_table_pointer");
     n_set_char_table = (N_SET_CHAR_TABLE_FP) GetProcAddress(gLibRTC5,"n_set_char_table");
     n_get_char_pointer = (N_GET_CHAR_POINTER_FP) GetProcAddress(gLibRTC5,"n_get_char_pointer");
     n_get_sub_pointer = (N_GET_SUB_POINTER_FP) GetProcAddress(gLibRTC5,"n_get_sub_pointer");
     n_get_text_table_pointer = (N_GET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC5,"n_get_text_table_pointer");
     copy_dst_src = (COPY_DST_SRC_FP) GetProcAddress(gLibRTC5,"copy_dst_src");
     set_char_pointer = (SET_CHAR_POINTER_FP) GetProcAddress(gLibRTC5,"set_char_pointer");
     set_sub_pointer = (SET_SUB_POINTER_FP) GetProcAddress(gLibRTC5,"set_sub_pointer");
     set_text_table_pointer = (SET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC5,"set_text_table_pointer");
     set_char_table = (SET_CHAR_TABLE_FP) GetProcAddress(gLibRTC5,"set_char_table");
     get_char_pointer = (GET_CHAR_POINTER_FP) GetProcAddress(gLibRTC5,"get_char_pointer");
     get_sub_pointer = (GET_SUB_POINTER_FP) GetProcAddress(gLibRTC5,"get_sub_pointer");
     get_text_table_pointer = (GET_TEXT_TABLE_POINTER_FP) GetProcAddress(gLibRTC5,"get_text_table_pointer");
     n_time_update = (N_TIME_UPDATE_FP) GetProcAddress(gLibRTC5,"n_time_update");
     n_set_serial_step = (N_SET_SERIAL_STEP_FP) GetProcAddress(gLibRTC5,"n_set_serial_step");
     n_select_serial_set = (N_SELECT_SERIAL_SET_FP) GetProcAddress(gLibRTC5,"n_select_serial_set");
     n_set_serial = (N_SET_SERIAL_FP) GetProcAddress(gLibRTC5,"n_set_serial");
     n_get_serial = (N_GET_SERIAL_FP) GetProcAddress(gLibRTC5,"n_get_serial");
     n_get_list_serial = (N_GET_LIST_SERIAL_FP) GetProcAddress(gLibRTC5,"n_get_list_serial");
     time_update = (TIME_UPDATE_FP) GetProcAddress(gLibRTC5,"time_update");
     set_serial_step = (SET_SERIAL_STEP_FP) GetProcAddress(gLibRTC5,"set_serial_step");
     select_serial_set = (SELECT_SERIAL_SET_FP) GetProcAddress(gLibRTC5,"select_serial_set");
     set_serial = (SET_SERIAL_FP) GetProcAddress(gLibRTC5,"set_serial");
     get_serial = (GET_SERIAL_FP) GetProcAddress(gLibRTC5,"get_serial");
     get_list_serial = (GET_LIST_SERIAL_FP) GetProcAddress(gLibRTC5,"get_list_serial");
     n_write_io_port_mask = (N_WRITE_IO_PORT_MASK_FP) GetProcAddress(gLibRTC5,"n_write_io_port_mask");
     n_write_8bit_port = (N_WRITE_8BIT_PORT_FP) GetProcAddress(gLibRTC5,"n_write_8bit_port");
     n_read_io_port = (N_READ_IO_PORT_FP) GetProcAddress(gLibRTC5,"n_read_io_port");
     n_read_io_port_buffer = (N_READ_IO_PORT_BUFFER_FP) GetProcAddress(gLibRTC5,"n_read_io_port_buffer");
     n_get_io_status = (N_GET_IO_STATUS_FP) GetProcAddress(gLibRTC5,"n_get_io_status");
     n_read_analog_in = (N_READ_ANALOG_IN_FP) GetProcAddress(gLibRTC5,"n_read_analog_in");
     n_write_da_x = (N_WRITE_DA_X_FP) GetProcAddress(gLibRTC5,"n_write_da_x");
     n_set_laser_off_default = (N_SET_LASER_OFF_DEFAULT_FP) GetProcAddress(gLibRTC5,"n_set_laser_off_default");
     n_set_port_default = (N_SET_PORT_DEFAULT_FP) GetProcAddress(gLibRTC5,"n_set_port_default");
     n_write_io_port = (N_WRITE_IO_PORT_FP) GetProcAddress(gLibRTC5,"n_write_io_port");
     n_write_da_1 = (N_WRITE_DA_1_FP) GetProcAddress(gLibRTC5,"n_write_da_1");
     n_write_da_2 = (N_WRITE_DA_2_FP) GetProcAddress(gLibRTC5,"n_write_da_2");
     write_io_port_mask = (WRITE_IO_PORT_MASK_FP) GetProcAddress(gLibRTC5,"write_io_port_mask");
     write_8bit_port = (WRITE_8BIT_PORT_FP) GetProcAddress(gLibRTC5,"write_8bit_port");
     read_io_port = (READ_IO_PORT_FP) GetProcAddress(gLibRTC5,"read_io_port");
     read_io_port_buffer = (READ_IO_PORT_BUFFER_FP) GetProcAddress(gLibRTC5,"read_io_port_buffer");
     get_io_status = (GET_IO_STATUS_FP) GetProcAddress(gLibRTC5,"get_io_status");
     read_analog_in = (READ_ANALOG_IN_FP) GetProcAddress(gLibRTC5,"read_analog_in");
     write_da_x = (WRITE_DA_X_FP) GetProcAddress(gLibRTC5,"write_da_x");
     set_laser_off_default = (SET_LASER_OFF_DEFAULT_FP) GetProcAddress(gLibRTC5,"set_laser_off_default");
     set_port_default = (SET_PORT_DEFAULT_FP) GetProcAddress(gLibRTC5,"set_port_default");
     write_io_port = (WRITE_IO_PORT_FP) GetProcAddress(gLibRTC5,"write_io_port");
     write_da_1 = (WRITE_DA_1_FP) GetProcAddress(gLibRTC5,"write_da_1");
     write_da_2 = (WRITE_DA_2_FP) GetProcAddress(gLibRTC5,"write_da_2");
     n_disable_laser = (N_DISABLE_LASER_FP) GetProcAddress(gLibRTC5,"n_disable_laser");
     n_enable_laser = (N_ENABLE_LASER_FP) GetProcAddress(gLibRTC5,"n_enable_laser");
     n_laser_signal_on = (N_LASER_SIGNAL_ON_FP) GetProcAddress(gLibRTC5,"n_laser_signal_on");
     n_laser_signal_off = (N_LASER_SIGNAL_OFF_FP) GetProcAddress(gLibRTC5,"n_laser_signal_off");
     n_set_standby = (N_SET_STANDBY_FP) GetProcAddress(gLibRTC5,"n_set_standby");
     n_set_laser_pulses_ctrl = (N_SET_LASER_PULSES_CTRL_FP) GetProcAddress(gLibRTC5,"n_set_laser_pulses_ctrl");
     n_set_firstpulse_killer = (N_SET_FIRSTPULSE_KILLER_FP) GetProcAddress(gLibRTC5,"n_set_firstpulse_killer");
     n_set_qswitch_delay = (N_SET_QSWITCH_DELAY_FP) GetProcAddress(gLibRTC5,"n_set_qswitch_delay");
     n_set_laser_mode = (N_SET_LASER_MODE_FP) GetProcAddress(gLibRTC5,"n_set_laser_mode");
     n_set_laser_control = (N_SET_LASER_CONTROL_FP) GetProcAddress(gLibRTC5,"n_set_laser_control");
     n_set_laser_pin_out = (N_SET_LASER_PIN_OUT_FP) GetProcAddress(gLibRTC5,"n_set_laser_pin_out");
     n_get_laser_pin_in = (N_GET_LASER_PIN_IN_FP) GetProcAddress(gLibRTC5,"n_get_laser_pin_in");
     n_set_softstart_level = (N_SET_SOFTSTART_LEVEL_FP) GetProcAddress(gLibRTC5,"n_set_softstart_level");
     n_set_softstart_mode = (N_SET_SOFTSTART_MODE_FP) GetProcAddress(gLibRTC5,"n_set_softstart_mode");
     n_set_auto_laser_control = (N_SET_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC5,"n_set_auto_laser_control");
     n_set_auto_laser_params = (N_SET_AUTO_LASER_PARAMS_FP) GetProcAddress(gLibRTC5,"n_set_auto_laser_params");
     n_load_auto_laser_control = (N_LOAD_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC5,"n_load_auto_laser_control");
     n_load_position_control = (N_LOAD_POSITION_CONTROL_FP) GetProcAddress(gLibRTC5,"n_load_position_control");
     n_set_default_pixel = (N_SET_DEFAULT_PIXEL_FP) GetProcAddress(gLibRTC5,"n_set_default_pixel");
     n_get_standby = (N_GET_STANDBY_FP) GetProcAddress(gLibRTC5,"n_get_standby");
     n_set_pulse_picking = (N_SET_PULSE_PICKING_FP) GetProcAddress(gLibRTC5,"n_set_pulse_picking");
     n_set_pulse_picking_length = (N_SET_PULSE_PICKING_LENGTH_FP) GetProcAddress(gLibRTC5,"n_set_pulse_picking_length");
     n_config_laser_signals = (N_CONFIG_LASER_SIGNALS_FP) GetProcAddress(gLibRTC5,"n_config_laser_signals");
     disable_laser = (DISABLE_LASER_FP) GetProcAddress(gLibRTC5,"disable_laser");
     enable_laser = (ENABLE_LASER_FP) GetProcAddress(gLibRTC5,"enable_laser");
     laser_signal_on = (LASER_SIGNAL_ON_FP) GetProcAddress(gLibRTC5,"laser_signal_on");
     laser_signal_off = (LASER_SIGNAL_OFF_FP) GetProcAddress(gLibRTC5,"laser_signal_off");
     set_standby = (SET_STANDBY_FP) GetProcAddress(gLibRTC5,"set_standby");
     set_laser_pulses_ctrl = (SET_LASER_PULSES_CTRL_FP) GetProcAddress(gLibRTC5,"set_laser_pulses_ctrl");
     set_firstpulse_killer = (SET_FIRSTPULSE_KILLER_FP) GetProcAddress(gLibRTC5,"set_firstpulse_killer");
     set_qswitch_delay = (SET_QSWITCH_DELAY_FP) GetProcAddress(gLibRTC5,"set_qswitch_delay");
     set_laser_mode = (SET_LASER_MODE_FP) GetProcAddress(gLibRTC5,"set_laser_mode");
     set_laser_control = (SET_LASER_CONTROL_FP) GetProcAddress(gLibRTC5,"set_laser_control");
     set_laser_pin_out = (SET_LASER_PIN_OUT_FP) GetProcAddress(gLibRTC5,"set_laser_pin_out");
     get_laser_pin_in = (GET_LASER_PIN_IN_FP) GetProcAddress(gLibRTC5,"get_laser_pin_in");
     set_softstart_level = (SET_SOFTSTART_LEVEL_FP) GetProcAddress(gLibRTC5,"set_softstart_level");
     set_softstart_mode = (SET_SOFTSTART_MODE_FP) GetProcAddress(gLibRTC5,"set_softstart_mode");
     set_auto_laser_control = (SET_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC5,"set_auto_laser_control");
     set_auto_laser_params = (SET_AUTO_LASER_PARAMS_FP) GetProcAddress(gLibRTC5,"set_auto_laser_params");
     load_auto_laser_control = (LOAD_AUTO_LASER_CONTROL_FP) GetProcAddress(gLibRTC5,"load_auto_laser_control");
     load_position_control = (LOAD_POSITION_CONTROL_FP) GetProcAddress(gLibRTC5,"load_position_control");
     set_default_pixel = (SET_DEFAULT_PIXEL_FP) GetProcAddress(gLibRTC5,"set_default_pixel");
     get_standby = (GET_STANDBY_FP) GetProcAddress(gLibRTC5,"get_standby");
     set_pulse_picking = (SET_PULSE_PICKING_FP) GetProcAddress(gLibRTC5,"set_pulse_picking");
     set_pulse_picking_length = (SET_PULSE_PICKING_LENGTH_FP) GetProcAddress(gLibRTC5,"set_pulse_picking_length");
     config_laser_signals = (CONFIG_LASER_SIGNALS_FP) GetProcAddress(gLibRTC5,"config_laser_signals");
     n_set_ext_start_delay = (N_SET_EXT_START_DELAY_FP) GetProcAddress(gLibRTC5,"n_set_ext_start_delay");
     n_set_rot_center = (N_SET_ROT_CENTER_FP) GetProcAddress(gLibRTC5,"n_set_rot_center");
     n_simulate_encoder = (N_SIMULATE_ENCODER_FP) GetProcAddress(gLibRTC5,"n_simulate_encoder");
     n_get_marking_info = (N_GET_MARKING_INFO_FP) GetProcAddress(gLibRTC5,"n_get_marking_info");
     n_set_encoder_speed_ctrl = (N_SET_ENCODER_SPEED_CTRL_FP) GetProcAddress(gLibRTC5,"n_set_encoder_speed_ctrl");
     n_set_mcbsp_x = (N_SET_MCBSP_X_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_x");
     n_set_mcbsp_y = (N_SET_MCBSP_Y_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_y");
     n_set_mcbsp_rot = (N_SET_MCBSP_ROT_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_rot");
     n_set_mcbsp_matrix = (N_SET_MCBSP_MATRIX_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_matrix");
     n_set_mcbsp_global_x = (N_SET_MCBSP_GLOBAL_X_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_x");
     n_set_mcbsp_global_y = (N_SET_MCBSP_GLOBAL_Y_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_y");
     n_set_mcbsp_global_rot = (N_SET_MCBSP_GLOBAL_ROT_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_rot");
     n_set_mcbsp_global_matrix = (N_SET_MCBSP_GLOBAL_MATRIX_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_matrix");
     n_set_mcbsp_in = (N_SET_MCBSP_IN_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_in");
     n_set_multi_mcbsp_in = (N_SET_MULTI_MCBSP_IN_FP) GetProcAddress(gLibRTC5,"n_set_multi_mcbsp_in");
     n_set_fly_tracking_error = (N_SET_FLY_TRACKING_ERROR_FP) GetProcAddress(gLibRTC5,"n_set_fly_tracking_error");
     n_load_fly_2d_table = (N_LOAD_FLY_2D_TABLE_FP) GetProcAddress(gLibRTC5,"n_load_fly_2d_table");
     n_init_fly_2d = (N_INIT_FLY_2D_FP) GetProcAddress(gLibRTC5,"n_init_fly_2d");
     n_get_fly_2d_offset = (N_GET_FLY_2D_OFFSET_FP) GetProcAddress(gLibRTC5,"n_get_fly_2d_offset");
     n_get_encoder = (N_GET_ENCODER_FP) GetProcAddress(gLibRTC5,"n_get_encoder");
     n_read_encoder = (N_READ_ENCODER_FP) GetProcAddress(gLibRTC5,"n_read_encoder");
     n_get_mcbsp = (N_GET_MCBSP_FP) GetProcAddress(gLibRTC5,"n_get_mcbsp");
     n_read_mcbsp = (N_READ_MCBSP_FP) GetProcAddress(gLibRTC5,"n_read_mcbsp");
     n_read_multi_mcbsp = (N_READ_MULTI_MCBSP_FP) GetProcAddress(gLibRTC5,"n_read_multi_mcbsp");
     n_clear_fly_overflow_ctrl = (N_CLEAR_FLY_OVERFLOW_CTRL_FP) GetProcAddress(gLibRTC5,"n_clear_fly_overflow_ctrl");
     set_ext_start_delay = (SET_EXT_START_DELAY_FP) GetProcAddress(gLibRTC5,"set_ext_start_delay");
     set_rot_center = (SET_ROT_CENTER_FP) GetProcAddress(gLibRTC5,"set_rot_center");
     simulate_encoder = (SIMULATE_ENCODER_FP) GetProcAddress(gLibRTC5,"simulate_encoder");
     get_marking_info = (GET_MARKING_INFO_FP) GetProcAddress(gLibRTC5,"get_marking_info");
     set_encoder_speed_ctrl = (SET_ENCODER_SPEED_CTRL_FP) GetProcAddress(gLibRTC5,"set_encoder_speed_ctrl");
     set_mcbsp_x = (SET_MCBSP_X_FP) GetProcAddress(gLibRTC5,"set_mcbsp_x");
     set_mcbsp_y = (SET_MCBSP_Y_FP) GetProcAddress(gLibRTC5,"set_mcbsp_y");
     set_mcbsp_rot = (SET_MCBSP_ROT_FP) GetProcAddress(gLibRTC5,"set_mcbsp_rot");
     set_mcbsp_matrix = (SET_MCBSP_MATRIX_FP) GetProcAddress(gLibRTC5,"set_mcbsp_matrix");
     set_mcbsp_global_x = (SET_MCBSP_GLOBAL_X_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_x");
     set_mcbsp_global_y = (SET_MCBSP_GLOBAL_Y_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_y");
     set_mcbsp_global_rot = (SET_MCBSP_GLOBAL_ROT_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_rot");
     set_mcbsp_global_matrix = (SET_MCBSP_GLOBAL_MATRIX_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_matrix");
     set_mcbsp_in = (SET_MCBSP_IN_FP) GetProcAddress(gLibRTC5,"set_mcbsp_in");
     set_multi_mcbsp_in = (SET_MULTI_MCBSP_IN_FP) GetProcAddress(gLibRTC5,"set_multi_mcbsp_in");
     set_fly_tracking_error = (SET_FLY_TRACKING_ERROR_FP) GetProcAddress(gLibRTC5,"set_fly_tracking_error");
     load_fly_2d_table = (LOAD_FLY_2D_TABLE_FP) GetProcAddress(gLibRTC5,"load_fly_2d_table");
     init_fly_2d = (INIT_FLY_2D_FP) GetProcAddress(gLibRTC5,"init_fly_2d");
     get_fly_2d_offset = (GET_FLY_2D_OFFSET_FP) GetProcAddress(gLibRTC5,"get_fly_2d_offset");
     get_encoder = (GET_ENCODER_FP) GetProcAddress(gLibRTC5,"get_encoder");
     read_encoder = (READ_ENCODER_FP) GetProcAddress(gLibRTC5,"read_encoder");
     get_mcbsp = (GET_MCBSP_FP) GetProcAddress(gLibRTC5,"get_mcbsp");
     read_mcbsp = (READ_MCBSP_FP) GetProcAddress(gLibRTC5,"read_mcbsp");
     read_multi_mcbsp = (READ_MULTI_MCBSP_FP) GetProcAddress(gLibRTC5,"read_multi_mcbsp");
     clear_fly_overflow_ctrl = (CLEAR_FLY_OVERFLOW_CTRL_FP) GetProcAddress(gLibRTC5,"clear_fly_overflow_ctrl");
     n_get_time = (N_GET_TIME_FP) GetProcAddress(gLibRTC5,"n_get_time");
     n_get_lap_time = (N_GET_LAP_TIME_FP) GetProcAddress(gLibRTC5,"n_get_lap_time");
     n_measurement_status = (N_MEASUREMENT_STATUS_FP) GetProcAddress(gLibRTC5,"n_measurement_status");
     n_get_waveform = (N_GET_WAVEFORM_FP) GetProcAddress(gLibRTC5,"n_get_waveform");
     n_bounce_supp = (N_BOUNCE_SUPP_FP) GetProcAddress(gLibRTC5,"n_bounce_supp");
     n_home_position_xyz = (N_HOME_POSITION_XYZ_FP) GetProcAddress(gLibRTC5,"n_home_position_xyz");
     n_home_position = (N_HOME_POSITION_FP) GetProcAddress(gLibRTC5,"n_home_position");
     n_rs232_config = (N_RS232_CONFIG_FP) GetProcAddress(gLibRTC5,"n_rs232_config");
     n_rs232_write_data = (N_RS232_WRITE_DATA_FP) GetProcAddress(gLibRTC5,"n_rs232_write_data");
     n_rs232_write_text = (N_RS232_WRITE_TEXT_FP) GetProcAddress(gLibRTC5,"n_rs232_write_text");
     n_rs232_read_data = (N_RS232_READ_DATA_FP) GetProcAddress(gLibRTC5,"n_rs232_read_data");
     n_set_mcbsp_freq = (N_SET_MCBSP_FREQ_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_freq");
     n_mcbsp_init = (N_MCBSP_INIT_FP) GetProcAddress(gLibRTC5,"n_mcbsp_init");
     n_mcbsp_init_spi = (N_MCBSP_INIT_SPI_FP) GetProcAddress(gLibRTC5,"n_mcbsp_init_spi");
     n_get_overrun = (N_GET_OVERRUN_FP) GetProcAddress(gLibRTC5,"n_get_overrun");
     n_get_master_slave = (N_GET_MASTER_SLAVE_FP) GetProcAddress(gLibRTC5,"n_get_master_slave");
     n_get_transform = (N_GET_TRANSFORM_FP) GetProcAddress(gLibRTC5,"n_get_transform");
     n_stop_trigger = (N_STOP_TRIGGER_FP) GetProcAddress(gLibRTC5,"n_stop_trigger");
     n_move_to = (N_MOVE_TO_FP) GetProcAddress(gLibRTC5,"n_move_to");
     n_set_enduring_wobbel = (N_SET_ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC5,"n_set_enduring_wobbel");
     n_set_enduring_wobbel_2 = (N_SET_ENDURING_WOBBEL_2_FP) GetProcAddress(gLibRTC5,"n_set_enduring_wobbel_2");
     n_set_free_variable = (N_SET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC5,"n_set_free_variable");
     n_get_free_variable = (N_GET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC5,"n_get_free_variable");
     n_set_mcbsp_out_ptr = (N_SET_MCBSP_OUT_PTR_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_out_ptr");
     n_periodic_toggle = (N_PERIODIC_TOGGLE_FP) GetProcAddress(gLibRTC5,"n_periodic_toggle");
     n_load_wobbel_power = (N_LOAD_WOBBEL_POWER_FP) GetProcAddress(gLibRTC5,"n_load_wobbel_power");
     get_time = (GET_TIME_FP) GetProcAddress(gLibRTC5,"get_time");
     get_lap_time = (GET_LAP_TIME_FP) GetProcAddress(gLibRTC5,"get_lap_time");
     measurement_status = (MEASUREMENT_STATUS_FP) GetProcAddress(gLibRTC5,"measurement_status");
     get_waveform = (GET_WAVEFORM_FP) GetProcAddress(gLibRTC5,"get_waveform");
     bounce_supp = (BOUNCE_SUPP_FP) GetProcAddress(gLibRTC5,"bounce_supp");
     home_position_xyz = (HOME_POSITION_XYZ_FP) GetProcAddress(gLibRTC5,"home_position_xyz");
     home_position = (HOME_POSITION_FP) GetProcAddress(gLibRTC5,"home_position");
     rs232_config = (RS232_CONFIG_FP) GetProcAddress(gLibRTC5,"rs232_config");
     rs232_write_data = (RS232_WRITE_DATA_FP) GetProcAddress(gLibRTC5,"rs232_write_data");
     rs232_write_text = (RS232_WRITE_TEXT_FP) GetProcAddress(gLibRTC5,"rs232_write_text");
     rs232_read_data = (RS232_READ_DATA_FP) GetProcAddress(gLibRTC5,"rs232_read_data");
     set_mcbsp_freq = (SET_MCBSP_FREQ_FP) GetProcAddress(gLibRTC5,"set_mcbsp_freq");
     mcbsp_init = (MCBSP_INIT_FP) GetProcAddress(gLibRTC5,"mcbsp_init");
     mcbsp_init_spi = (MCBSP_INIT_SPI_FP) GetProcAddress(gLibRTC5,"mcbsp_init_spi");
     get_overrun = (GET_OVERRUN_FP) GetProcAddress(gLibRTC5,"get_overrun");
     get_master_slave = (GET_MASTER_SLAVE_FP) GetProcAddress(gLibRTC5,"get_master_slave");
     get_transform = (GET_TRANSFORM_FP) GetProcAddress(gLibRTC5,"get_transform");
     stop_trigger = (STOP_TRIGGER_FP) GetProcAddress(gLibRTC5,"stop_trigger");
     move_to = (MOVE_TO_FP) GetProcAddress(gLibRTC5,"move_to");
     set_enduring_wobbel = (SET_ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC5,"set_enduring_wobbel");
     set_enduring_wobbel_2 = (SET_ENDURING_WOBBEL_2_FP) GetProcAddress(gLibRTC5,"set_enduring_wobbel_2");
     set_free_variable = (SET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC5,"set_free_variable");
     get_free_variable = (GET_FREE_VARIABLE_FP) GetProcAddress(gLibRTC5,"get_free_variable");
     set_mcbsp_out_ptr = (SET_MCBSP_OUT_PTR_FP) GetProcAddress(gLibRTC5,"set_mcbsp_out_ptr");
     periodic_toggle = (PERIODIC_TOGGLE_FP) GetProcAddress(gLibRTC5,"periodic_toggle");
     load_wobbel_power = (LOAD_WOBBEL_POWER_FP) GetProcAddress(gLibRTC5,"load_wobbel_power");
     n_set_defocus = (N_SET_DEFOCUS_FP) GetProcAddress(gLibRTC5,"n_set_defocus");
     n_set_defocus_offset = (N_SET_DEFOCUS_OFFSET_FP) GetProcAddress(gLibRTC5,"n_set_defocus_offset");
     n_goto_xyz = (N_GOTO_XYZ_FP) GetProcAddress(gLibRTC5,"n_goto_xyz");
     n_set_zoom = (N_SET_ZOOM_FP) GetProcAddress(gLibRTC5,"n_set_zoom");
     n_goto_xy = (N_GOTO_XY_FP) GetProcAddress(gLibRTC5,"n_goto_xy");
     n_get_z_distance = (N_GET_Z_DISTANCE_FP) GetProcAddress(gLibRTC5,"n_get_z_distance");
     set_defocus = (SET_DEFOCUS_FP) GetProcAddress(gLibRTC5,"set_defocus");
     set_defocus_offset = (SET_DEFOCUS_OFFSET_FP) GetProcAddress(gLibRTC5,"set_defocus_offset");
     goto_xyz = (GOTO_XYZ_FP) GetProcAddress(gLibRTC5,"goto_xyz");
     goto_xy = (GOTO_XY_FP) GetProcAddress(gLibRTC5,"goto_xy");
     set_zoom = (SET_ZOOM_FP) GetProcAddress(gLibRTC5,"set_zoom");
     get_z_distance = (GET_Z_DISTANCE_FP) GetProcAddress(gLibRTC5,"get_z_distance");
     n_set_offset_xyz = (N_SET_OFFSET_XYZ_FP) GetProcAddress(gLibRTC5,"n_set_offset_xyz");
     n_set_offset = (N_SET_OFFSET_FP) GetProcAddress(gLibRTC5,"n_set_offset");
     n_set_matrix = (N_SET_MATRIX_FP) GetProcAddress(gLibRTC5,"n_set_matrix");
     n_set_angle = (N_SET_ANGLE_FP) GetProcAddress(gLibRTC5,"n_set_angle");
     n_set_scale = (N_SET_SCALE_FP) GetProcAddress(gLibRTC5,"n_set_scale");
     n_apply_mcbsp = (N_APPLY_MCBSP_FP) GetProcAddress(gLibRTC5,"n_apply_mcbsp");
     n_upload_transform = (N_UPLOAD_TRANSFORM_FP) GetProcAddress(gLibRTC5,"n_upload_transform");
     set_offset_xyz = (SET_OFFSET_XYZ_FP) GetProcAddress(gLibRTC5,"set_offset_xyz");
     set_offset = (SET_OFFSET_FP) GetProcAddress(gLibRTC5,"set_offset");
     set_matrix = (SET_MATRIX_FP) GetProcAddress(gLibRTC5,"set_matrix");
     set_angle = (SET_ANGLE_FP) GetProcAddress(gLibRTC5,"set_angle");
     set_scale = (SET_SCALE_FP) GetProcAddress(gLibRTC5,"set_scale");
     apply_mcbsp = (APPLY_MCBSP_FP) GetProcAddress(gLibRTC5,"apply_mcbsp");
     upload_transform = (UPLOAD_TRANSFORM_FP) GetProcAddress(gLibRTC5,"upload_transform");
     transform = (TRANSFORM_FP) GetProcAddress(gLibRTC5,"transform");
     n_set_delay_mode = (N_SET_DELAY_MODE_FP) GetProcAddress(gLibRTC5,"n_set_delay_mode");
     n_set_jump_speed_ctrl = (N_SET_JUMP_SPEED_CTRL_FP) GetProcAddress(gLibRTC5,"n_set_jump_speed_ctrl");
     n_set_mark_speed_ctrl = (N_SET_MARK_SPEED_CTRL_FP) GetProcAddress(gLibRTC5,"n_set_mark_speed_ctrl");
     n_set_sky_writing_para = (N_SET_SKY_WRITING_PARA_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_para");
     n_set_sky_writing_limit = (N_SET_SKY_WRITING_LIMIT_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_limit");
     n_set_sky_writing_mode = (N_SET_SKY_WRITING_MODE_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_mode");
     n_load_varpolydelay = (N_LOAD_VARPOLYDELAY_FP) GetProcAddress(gLibRTC5,"n_load_varpolydelay");
     n_set_hi = (N_SET_HI_FP) GetProcAddress(gLibRTC5,"n_set_hi");
     n_get_hi_pos = (N_GET_HI_POS_FP) GetProcAddress(gLibRTC5,"n_get_hi_pos");
     n_auto_cal = (N_AUTO_CAL_FP) GetProcAddress(gLibRTC5,"n_auto_cal");
     n_get_auto_cal = (N_GET_AUTO_CAL_FP) GetProcAddress(gLibRTC5,"n_get_auto_cal");
     n_write_hi_pos = (N_WRITE_HI_POS_FP) GetProcAddress(gLibRTC5,"n_write_hi_pos");
     n_set_sky_writing = (N_SET_SKY_WRITING_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing");
     n_get_hi_data = (N_GET_HI_DATA_FP) GetProcAddress(gLibRTC5,"n_get_hi_data");
     set_delay_mode = (SET_DELAY_MODE_FP) GetProcAddress(gLibRTC5,"set_delay_mode");
     set_jump_speed_ctrl = (SET_JUMP_SPEED_CTRL_FP) GetProcAddress(gLibRTC5,"set_jump_speed_ctrl");
     set_mark_speed_ctrl = (SET_MARK_SPEED_CTRL_FP) GetProcAddress(gLibRTC5,"set_mark_speed_ctrl");
     set_sky_writing_para = (SET_SKY_WRITING_PARA_FP) GetProcAddress(gLibRTC5,"set_sky_writing_para");
     set_sky_writing_limit = (SET_SKY_WRITING_LIMIT_FP) GetProcAddress(gLibRTC5,"set_sky_writing_limit");
     set_sky_writing_mode = (SET_SKY_WRITING_MODE_FP) GetProcAddress(gLibRTC5,"set_sky_writing_mode");
     load_varpolydelay = (LOAD_VARPOLYDELAY_FP) GetProcAddress(gLibRTC5,"load_varpolydelay");
     set_hi = (SET_HI_FP) GetProcAddress(gLibRTC5,"set_hi");
     get_hi_pos = (GET_HI_POS_FP) GetProcAddress(gLibRTC5,"get_hi_pos");
     auto_cal = (AUTO_CAL_FP) GetProcAddress(gLibRTC5,"auto_cal");
     get_auto_cal = (GET_AUTO_CAL_FP) GetProcAddress(gLibRTC5,"get_auto_cal");
     write_hi_pos = (WRITE_HI_POS_FP) GetProcAddress(gLibRTC5,"write_hi_pos");
     set_sky_writing = (SET_SKY_WRITING_FP) GetProcAddress(gLibRTC5,"set_sky_writing");
     get_hi_data = (GET_HI_DATA_FP) GetProcAddress(gLibRTC5,"get_hi_data");
     n_send_user_data = (N_SEND_USER_DATA_FP) GetProcAddress(gLibRTC5,"n_send_user_data");
     n_read_user_data = (N_READ_USER_DATA_FP) GetProcAddress(gLibRTC5,"n_read_user_data");
     n_control_command = (N_CONTROL_COMMAND_FP) GetProcAddress(gLibRTC5,"n_control_command");
     n_get_value = (N_GET_VALUE_FP) GetProcAddress(gLibRTC5,"n_get_value");
     n_get_values = (N_GET_VALUES_FP) GetProcAddress(gLibRTC5,"n_get_values");
     n_get_galvo_controls = (N_GET_GALVO_CONTROLS_FP) GetProcAddress(gLibRTC5,"n_get_galvo_controls");
     n_get_head_status = (N_GET_HEAD_STATUS_FP) GetProcAddress(gLibRTC5,"n_get_head_status");
     n_set_jump_mode = (N_SET_JUMP_MODE_FP) GetProcAddress(gLibRTC5,"n_set_jump_mode");
     n_load_jump_table_offset = (N_LOAD_JUMP_TABLE_OFFSET_FP) GetProcAddress(gLibRTC5,"n_load_jump_table_offset");
     n_get_jump_table = (N_GET_JUMP_TABLE_FP) GetProcAddress(gLibRTC5,"n_get_jump_table");
     n_set_jump_table = (N_SET_JUMP_TABLE_FP) GetProcAddress(gLibRTC5,"n_set_jump_table");
     n_load_jump_table = (N_LOAD_JUMP_TABLE_FP) GetProcAddress(gLibRTC5,"n_load_jump_table");
     send_user_data = (SEND_USER_DATA_FP) GetProcAddress(gLibRTC5,"send_user_data");
     read_user_data = (READ_USER_DATA_FP) GetProcAddress(gLibRTC5,"read_user_data");
     control_command = (CONTROL_COMMAND_FP) GetProcAddress(gLibRTC5,"control_command");
     get_value = (GET_VALUE_FP) GetProcAddress(gLibRTC5,"get_value");
     get_values = (GET_VALUES_FP) GetProcAddress(gLibRTC5,"get_values");
     get_galvo_controls = (GET_GALVO_CONTROLS_FP) GetProcAddress(gLibRTC5,"get_galvo_controls");
     get_head_status = (GET_HEAD_STATUS_FP) GetProcAddress(gLibRTC5,"get_head_status");
     set_jump_mode = (SET_JUMP_MODE_FP) GetProcAddress(gLibRTC5,"set_jump_mode");
     load_jump_table_offset = (LOAD_JUMP_TABLE_OFFSET_FP) GetProcAddress(gLibRTC5,"load_jump_table_offset");
     get_jump_table = (GET_JUMP_TABLE_FP) GetProcAddress(gLibRTC5,"get_jump_table");
     set_jump_table = (SET_JUMP_TABLE_FP) GetProcAddress(gLibRTC5,"set_jump_table");
     load_jump_table = (LOAD_JUMP_TABLE_FP) GetProcAddress(gLibRTC5,"load_jump_table");
     n_stepper_init = (N_STEPPER_INIT_FP) GetProcAddress(gLibRTC5,"n_stepper_init");
     n_stepper_enable = (N_STEPPER_ENABLE_FP) GetProcAddress(gLibRTC5,"n_stepper_enable");
     n_stepper_disable_switch = (N_STEPPER_DISABLE_SWITCH_FP) GetProcAddress(gLibRTC5,"n_stepper_disable_switch");
     n_stepper_control = (N_STEPPER_CONTROL_FP) GetProcAddress(gLibRTC5,"n_stepper_control");
     n_stepper_abs_no = (N_STEPPER_ABS_NO_FP) GetProcAddress(gLibRTC5,"n_stepper_abs_no");
     n_stepper_rel_no = (N_STEPPER_REL_NO_FP) GetProcAddress(gLibRTC5,"n_stepper_rel_no");
     n_stepper_abs = (N_STEPPER_ABS_FP) GetProcAddress(gLibRTC5,"n_stepper_abs");
     n_stepper_rel = (N_STEPPER_REL_FP) GetProcAddress(gLibRTC5,"n_stepper_rel");
     n_get_stepper_status = (N_GET_STEPPER_STATUS_FP) GetProcAddress(gLibRTC5,"n_get_stepper_status");
     stepper_init = (STEPPER_INIT_FP) GetProcAddress(gLibRTC5,"stepper_init");
     stepper_enable = (STEPPER_ENABLE_FP) GetProcAddress(gLibRTC5,"stepper_enable");
     stepper_disable_switch = (STEPPER_DISABLE_SWITCH_FP) GetProcAddress(gLibRTC5,"stepper_disable_switch");
     stepper_control = (STEPPER_CONTROL_FP) GetProcAddress(gLibRTC5,"stepper_control");
     stepper_abs_no = (STEPPER_ABS_NO_FP) GetProcAddress(gLibRTC5,"stepper_abs_no");
     stepper_rel_no = (STEPPER_REL_NO_FP) GetProcAddress(gLibRTC5,"stepper_rel_no");
     stepper_abs = (STEPPER_ABS_FP) GetProcAddress(gLibRTC5,"stepper_abs");
     stepper_rel = (STEPPER_REL_FP) GetProcAddress(gLibRTC5,"stepper_rel");
     get_stepper_status = (GET_STEPPER_STATUS_FP) GetProcAddress(gLibRTC5,"get_stepper_status");
     n_select_cor_table_list = (N_SELECT_COR_TABLE_LIST_FP) GetProcAddress(gLibRTC5,"n_select_cor_table_list");
     select_cor_table_list = (SELECT_COR_TABLE_LIST_FP) GetProcAddress(gLibRTC5,"select_cor_table_list");
     n_list_nop = (N_LIST_NOP_FP) GetProcAddress(gLibRTC5,"n_list_nop");
     n_list_continue = (N_LIST_CONTINUE_FP) GetProcAddress(gLibRTC5,"n_list_continue");
     n_list_next = (N_LIST_NEXT_FP) GetProcAddress(gLibRTC5,"n_list_next");
     n_long_delay = (N_LONG_DELAY_FP) GetProcAddress(gLibRTC5,"n_long_delay");
     n_set_end_of_list = (N_SET_END_OF_LIST_FP) GetProcAddress(gLibRTC5,"n_set_end_of_list");
     n_set_wait = (N_SET_WAIT_FP) GetProcAddress(gLibRTC5,"n_set_wait");
     n_list_jump_pos = (N_LIST_JUMP_POS_FP) GetProcAddress(gLibRTC5,"n_list_jump_pos");
     n_list_jump_rel = (N_LIST_JUMP_REL_FP) GetProcAddress(gLibRTC5,"n_list_jump_rel");
     n_list_repeat = (N_LIST_REPEAT_FP) GetProcAddress(gLibRTC5,"n_list_repeat");
     n_list_until = (N_LIST_UNTIL_FP) GetProcAddress(gLibRTC5,"n_list_until");
     n_range_checking = (N_RANGE_CHECKING_FP) GetProcAddress(gLibRTC5,"n_range_checking");
     n_set_list_jump = (N_SET_LIST_JUMP_FP) GetProcAddress(gLibRTC5,"n_set_list_jump");
     list_nop = (LIST_NOP_FP) GetProcAddress(gLibRTC5,"list_nop");
     list_continue = (LIST_CONTINUE_FP) GetProcAddress(gLibRTC5,"list_continue");
     list_next = (LIST_NEXT_FP) GetProcAddress(gLibRTC5,"list_next");
     long_delay = (LONG_DELAY_FP) GetProcAddress(gLibRTC5,"long_delay");
     set_end_of_list = (SET_END_OF_LIST_FP) GetProcAddress(gLibRTC5,"set_end_of_list");
     set_wait = (SET_WAIT_FP) GetProcAddress(gLibRTC5,"set_wait");
     list_jump_pos = (LIST_JUMP_POS_FP) GetProcAddress(gLibRTC5,"list_jump_pos");
     list_jump_rel = (LIST_JUMP_REL_FP) GetProcAddress(gLibRTC5,"list_jump_rel");
     list_repeat = (LIST_REPEAT_FP) GetProcAddress(gLibRTC5,"list_repeat");
     list_until = (LIST_UNTIL_FP) GetProcAddress(gLibRTC5,"list_until");
     range_checking = (RANGE_CHECKING_FP) GetProcAddress(gLibRTC5,"range_checking");
     set_list_jump = (SET_LIST_JUMP_FP) GetProcAddress(gLibRTC5,"set_list_jump");
     n_set_extstartpos_list = (N_SET_EXTSTARTPOS_LIST_FP) GetProcAddress(gLibRTC5,"n_set_extstartpos_list");
     n_set_control_mode_list = (N_SET_CONTROL_MODE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_control_mode_list");
     n_simulate_ext_start = (N_SIMULATE_EXT_START_FP) GetProcAddress(gLibRTC5,"n_simulate_ext_start");
     set_extstartpos_list = (SET_EXTSTARTPOS_LIST_FP) GetProcAddress(gLibRTC5,"set_extstartpos_list");
     set_control_mode_list = (SET_CONTROL_MODE_LIST_FP) GetProcAddress(gLibRTC5,"set_control_mode_list");
     simulate_ext_start = (SIMULATE_EXT_START_FP) GetProcAddress(gLibRTC5,"simulate_ext_start");
     n_list_return = (N_LIST_RETURN_FP) GetProcAddress(gLibRTC5,"n_list_return");
     n_list_call_repeat = (N_LIST_CALL_REPEAT_FP) GetProcAddress(gLibRTC5,"n_list_call_repeat");
     n_list_call_abs_repeat = (N_LIST_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC5,"n_list_call_abs_repeat");
     n_list_call = (N_LIST_CALL_FP) GetProcAddress(gLibRTC5,"n_list_call");
     n_list_call_abs = (N_LIST_CALL_ABS_FP) GetProcAddress(gLibRTC5,"n_list_call_abs");
     n_sub_call_repeat = (N_SUB_CALL_REPEAT_FP) GetProcAddress(gLibRTC5,"n_sub_call_repeat");
     n_sub_call_abs_repeat = (N_SUB_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC5,"n_sub_call_abs_repeat");
     n_sub_call = (N_SUB_CALL_FP) GetProcAddress(gLibRTC5,"n_sub_call");
     n_sub_call_abs = (N_SUB_CALL_ABS_FP) GetProcAddress(gLibRTC5,"n_sub_call_abs");
     list_return = (LIST_RETURN_FP) GetProcAddress(gLibRTC5,"list_return");
     list_call_repeat = (LIST_CALL_REPEAT_FP) GetProcAddress(gLibRTC5,"list_call_repeat");
     list_call_abs_repeat = (LIST_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC5,"list_call_abs_repeat");
     list_call = (LIST_CALL_FP) GetProcAddress(gLibRTC5,"list_call");
     list_call_abs = (LIST_CALL_ABS_FP) GetProcAddress(gLibRTC5,"list_call_abs");
     sub_call_repeat = (SUB_CALL_REPEAT_FP) GetProcAddress(gLibRTC5,"sub_call_repeat");
     sub_call_abs_repeat = (SUB_CALL_ABS_REPEAT_FP) GetProcAddress(gLibRTC5,"sub_call_abs_repeat");
     sub_call = (SUB_CALL_FP) GetProcAddress(gLibRTC5,"sub_call");
     sub_call_abs = (SUB_CALL_ABS_FP) GetProcAddress(gLibRTC5,"sub_call_abs");
     n_list_call_cond = (N_LIST_CALL_COND_FP) GetProcAddress(gLibRTC5,"n_list_call_cond");
     n_list_call_abs_cond = (N_LIST_CALL_ABS_COND_FP) GetProcAddress(gLibRTC5,"n_list_call_abs_cond");
     n_sub_call_cond = (N_SUB_CALL_COND_FP) GetProcAddress(gLibRTC5,"n_sub_call_cond");
     n_sub_call_abs_cond = (N_SUB_CALL_ABS_COND_FP) GetProcAddress(gLibRTC5,"n_sub_call_abs_cond");
     n_list_jump_pos_cond = (N_LIST_JUMP_POS_COND_FP) GetProcAddress(gLibRTC5,"n_list_jump_pos_cond");
     n_list_jump_rel_cond = (N_LIST_JUMP_REL_COND_FP) GetProcAddress(gLibRTC5,"n_list_jump_rel_cond");
     n_if_cond = (N_IF_COND_FP) GetProcAddress(gLibRTC5,"n_if_cond");
     n_if_not_cond = (N_IF_NOT_COND_FP) GetProcAddress(gLibRTC5,"n_if_not_cond");
     n_if_pin_cond = (N_IF_PIN_COND_FP) GetProcAddress(gLibRTC5,"n_if_pin_cond");
     n_if_not_pin_cond = (N_IF_NOT_PIN_COND_FP) GetProcAddress(gLibRTC5,"n_if_not_pin_cond");
     n_switch_ioport = (N_SWITCH_IOPORT_FP) GetProcAddress(gLibRTC5,"n_switch_ioport");
     n_list_jump_cond = (N_LIST_JUMP_COND_FP) GetProcAddress(gLibRTC5,"n_list_jump_cond");
     list_call_cond = (LIST_CALL_COND_FP) GetProcAddress(gLibRTC5,"list_call_cond");
     list_call_abs_cond = (LIST_CALL_ABS_COND_FP) GetProcAddress(gLibRTC5,"list_call_abs_cond");
     sub_call_cond = (SUB_CALL_COND_FP) GetProcAddress(gLibRTC5,"sub_call_cond");
     sub_call_abs_cond = (SUB_CALL_ABS_COND_FP) GetProcAddress(gLibRTC5,"sub_call_abs_cond");
     list_jump_pos_cond = (LIST_JUMP_POS_COND_FP) GetProcAddress(gLibRTC5,"list_jump_pos_cond");
     list_jump_rel_cond = (LIST_JUMP_REL_COND_FP) GetProcAddress(gLibRTC5,"list_jump_rel_cond");
     if_cond = (IF_COND_FP) GetProcAddress(gLibRTC5,"if_cond");
     if_not_cond = (IF_NOT_COND_FP) GetProcAddress(gLibRTC5,"if_not_cond");
     if_pin_cond = (IF_PIN_COND_FP) GetProcAddress(gLibRTC5,"if_pin_cond");
     if_not_pin_cond = (IF_NOT_PIN_COND_FP) GetProcAddress(gLibRTC5,"if_not_pin_cond");
     switch_ioport = (SWITCH_IOPORT_FP) GetProcAddress(gLibRTC5,"switch_ioport");
     list_jump_cond = (LIST_JUMP_COND_FP) GetProcAddress(gLibRTC5,"list_jump_cond");
     n_select_char_set = (N_SELECT_CHAR_SET_FP) GetProcAddress(gLibRTC5,"n_select_char_set");
     n_mark_text = (N_MARK_TEXT_FP) GetProcAddress(gLibRTC5,"n_mark_text");
     n_mark_text_abs = (N_MARK_TEXT_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_text_abs");
     n_mark_char = (N_MARK_CHAR_FP) GetProcAddress(gLibRTC5,"n_mark_char");
     n_mark_char_abs = (N_MARK_CHAR_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_char_abs");
     select_char_set = (SELECT_CHAR_SET_FP) GetProcAddress(gLibRTC5,"select_char_set");
     mark_text = (MARK_TEXT_FP) GetProcAddress(gLibRTC5,"mark_text");
     mark_text_abs = (MARK_TEXT_ABS_FP) GetProcAddress(gLibRTC5,"mark_text_abs");
     mark_char = (MARK_CHAR_FP) GetProcAddress(gLibRTC5,"mark_char");
     mark_char_abs = (MARK_CHAR_ABS_FP) GetProcAddress(gLibRTC5,"mark_char_abs");
     n_mark_serial = (N_MARK_SERIAL_FP) GetProcAddress(gLibRTC5,"n_mark_serial");
     n_mark_serial_abs = (N_MARK_SERIAL_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_serial_abs");
     n_mark_date = (N_MARK_DATE_FP) GetProcAddress(gLibRTC5,"n_mark_date");
     n_mark_date_abs = (N_MARK_DATE_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_date_abs");
     n_mark_time = (N_MARK_TIME_FP) GetProcAddress(gLibRTC5,"n_mark_time");
     n_mark_time_abs = (N_MARK_TIME_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_time_abs");
     n_select_serial_set_list = (N_SELECT_SERIAL_SET_LIST_FP) GetProcAddress(gLibRTC5,"n_select_serial_set_list");
     n_set_serial_step_list = (N_SET_SERIAL_STEP_LIST_FP) GetProcAddress(gLibRTC5,"n_set_serial_step_list");
     n_time_fix_f_off = (N_TIME_FIX_F_OFF_FP) GetProcAddress(gLibRTC5,"n_time_fix_f_off");
     n_time_fix_f = (N_TIME_FIX_F_FP) GetProcAddress(gLibRTC5,"n_time_fix_f");
     n_time_fix = (N_TIME_FIX_FP) GetProcAddress(gLibRTC5,"n_time_fix");
     mark_serial = (MARK_SERIAL_FP) GetProcAddress(gLibRTC5,"mark_serial");
     mark_serial_abs = (MARK_SERIAL_ABS_FP) GetProcAddress(gLibRTC5,"mark_serial_abs");
     mark_date = (MARK_DATE_FP) GetProcAddress(gLibRTC5,"mark_date");
     mark_date_abs = (MARK_DATE_ABS_FP) GetProcAddress(gLibRTC5,"mark_date_abs");
     mark_time = (MARK_TIME_FP) GetProcAddress(gLibRTC5,"mark_time");
     mark_time_abs = (MARK_TIME_ABS_FP) GetProcAddress(gLibRTC5,"mark_time_abs");
     time_fix_f_off = (TIME_FIX_F_OFF_FP) GetProcAddress(gLibRTC5,"time_fix_f_off");
     select_serial_set_list = (SELECT_SERIAL_SET_LIST_FP) GetProcAddress(gLibRTC5,"select_serial_set_list");
     set_serial_step_list = (SET_SERIAL_STEP_LIST_FP) GetProcAddress(gLibRTC5,"set_serial_step_list");
     time_fix_f = (TIME_FIX_F_FP) GetProcAddress(gLibRTC5,"time_fix_f");
     time_fix = (TIME_FIX_FP) GetProcAddress(gLibRTC5,"time_fix");
     n_clear_io_cond_list = (N_CLEAR_IO_COND_LIST_FP) GetProcAddress(gLibRTC5,"n_clear_io_cond_list");
     n_set_io_cond_list = (N_SET_IO_COND_LIST_FP) GetProcAddress(gLibRTC5,"n_set_io_cond_list");
     n_write_io_port_mask_list = (N_WRITE_IO_PORT_MASK_LIST_FP) GetProcAddress(gLibRTC5,"n_write_io_port_mask_list");
     n_write_8bit_port_list = (N_WRITE_8BIT_PORT_LIST_FP) GetProcAddress(gLibRTC5,"n_write_8bit_port_list");
     n_read_io_port_list = (N_READ_IO_PORT_LIST_FP) GetProcAddress(gLibRTC5,"n_read_io_port_list");
     n_write_da_x_list = (N_WRITE_DA_X_LIST_FP) GetProcAddress(gLibRTC5,"n_write_da_x_list");
     n_write_io_port_list = (N_WRITE_IO_PORT_LIST_FP) GetProcAddress(gLibRTC5,"n_write_io_port_list");
     n_write_da_1_list = (N_WRITE_DA_1_LIST_FP) GetProcAddress(gLibRTC5,"n_write_da_1_list");
     n_write_da_2_list = (N_WRITE_DA_2_LIST_FP) GetProcAddress(gLibRTC5,"n_write_da_2_list");
     clear_io_cond_list = (CLEAR_IO_COND_LIST_FP) GetProcAddress(gLibRTC5,"clear_io_cond_list");
     set_io_cond_list = (SET_IO_COND_LIST_FP) GetProcAddress(gLibRTC5,"set_io_cond_list");
     write_io_port_mask_list = (WRITE_IO_PORT_MASK_LIST_FP) GetProcAddress(gLibRTC5,"write_io_port_mask_list");
     write_8bit_port_list = (WRITE_8BIT_PORT_LIST_FP) GetProcAddress(gLibRTC5,"write_8bit_port_list");
     read_io_port_list = (READ_IO_PORT_LIST_FP) GetProcAddress(gLibRTC5,"read_io_port_list");
     write_da_x_list = (WRITE_DA_X_LIST_FP) GetProcAddress(gLibRTC5,"write_da_x_list");
     write_io_port_list = (WRITE_IO_PORT_LIST_FP) GetProcAddress(gLibRTC5,"write_io_port_list");
     write_da_1_list = (WRITE_DA_1_LIST_FP) GetProcAddress(gLibRTC5,"write_da_1_list");
     write_da_2_list = (WRITE_DA_2_LIST_FP) GetProcAddress(gLibRTC5,"write_da_2_list");
     n_laser_signal_on_list = (N_LASER_SIGNAL_ON_LIST_FP) GetProcAddress(gLibRTC5,"n_laser_signal_on_list");
     n_laser_signal_off_list = (N_LASER_SIGNAL_OFF_LIST_FP) GetProcAddress(gLibRTC5,"n_laser_signal_off_list");
     n_para_laser_on_pulses_list = (N_PARA_LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC5,"n_para_laser_on_pulses_list");
     n_laser_on_pulses_list = (N_LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC5,"n_laser_on_pulses_list");
     n_laser_on_list = (N_LASER_ON_LIST_FP) GetProcAddress(gLibRTC5,"n_laser_on_list");
     n_set_laser_delays = (N_SET_LASER_DELAYS_FP) GetProcAddress(gLibRTC5,"n_set_laser_delays");
     n_set_standby_list = (N_SET_STANDBY_LIST_FP) GetProcAddress(gLibRTC5,"n_set_standby_list");
     n_set_laser_pulses = (N_SET_LASER_PULSES_FP) GetProcAddress(gLibRTC5,"n_set_laser_pulses");
     n_set_firstpulse_killer_list = (N_SET_FIRSTPULSE_KILLER_LIST_FP) GetProcAddress(gLibRTC5,"n_set_firstpulse_killer_list");
     n_set_qswitch_delay_list = (N_SET_QSWITCH_DELAY_LIST_FP) GetProcAddress(gLibRTC5,"n_set_qswitch_delay_list");
     n_set_laser_pin_out_list = (N_SET_LASER_PIN_OUT_LIST_FP) GetProcAddress(gLibRTC5,"n_set_laser_pin_out_list");
     n_set_vector_control = (N_SET_VECTOR_CONTROL_FP) GetProcAddress(gLibRTC5,"n_set_vector_control");
     n_set_default_pixel_list = (N_SET_DEFAULT_PIXEL_LIST_FP) GetProcAddress(gLibRTC5,"n_set_default_pixel_list");
     n_set_port_default_list = (N_SET_PORT_DEFAULT_LIST_FP) GetProcAddress(gLibRTC5,"n_set_port_default_list");
     n_set_auto_laser_params_list = (N_SET_AUTO_LASER_PARAMS_LIST_FP) GetProcAddress(gLibRTC5,"n_set_auto_laser_params_list");
     n_set_pulse_picking_list = (N_SET_PULSE_PICKING_LIST_FP) GetProcAddress(gLibRTC5,"n_set_pulse_picking_list");
     n_set_softstart_level_list = (N_SET_SOFTSTART_LEVEL_LIST_FP) GetProcAddress(gLibRTC5,"n_set_softstart_level_list");
     n_set_softstart_mode_list = (N_SET_SOFTSTART_MODE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_softstart_mode_list");
     n_config_laser_signals_list = (N_CONFIG_LASER_SIGNALS_LIST_FP) GetProcAddress(gLibRTC5,"n_config_laser_signals_list");
     n_set_laser_timing = (N_SET_LASER_TIMING_FP) GetProcAddress(gLibRTC5,"n_set_laser_timing");
     laser_signal_on_list = (LASER_SIGNAL_ON_LIST_FP) GetProcAddress(gLibRTC5,"laser_signal_on_list");
     laser_signal_off_list = (LASER_SIGNAL_OFF_LIST_FP) GetProcAddress(gLibRTC5,"laser_signal_off_list");
     para_laser_on_pulses_list = (PARA_LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC5,"para_laser_on_pulses_list");
     laser_on_pulses_list = (LASER_ON_PULSES_LIST_FP) GetProcAddress(gLibRTC5,"laser_on_pulses_list");
     laser_on_list = (LASER_ON_LIST_FP) GetProcAddress(gLibRTC5,"laser_on_list");
     set_laser_delays = (SET_LASER_DELAYS_FP) GetProcAddress(gLibRTC5,"set_laser_delays");
     set_standby_list = (SET_STANDBY_LIST_FP) GetProcAddress(gLibRTC5,"set_standby_list");
     set_laser_pulses = (SET_LASER_PULSES_FP) GetProcAddress(gLibRTC5,"set_laser_pulses");
     set_firstpulse_killer_list = (SET_FIRSTPULSE_KILLER_LIST_FP) GetProcAddress(gLibRTC5,"set_firstpulse_killer_list");
     set_qswitch_delay_list = (SET_QSWITCH_DELAY_LIST_FP) GetProcAddress(gLibRTC5,"set_qswitch_delay_list");
     set_laser_pin_out_list = (SET_LASER_PIN_OUT_LIST_FP) GetProcAddress(gLibRTC5,"set_laser_pin_out_list");
     set_vector_control = (SET_VECTOR_CONTROL_FP) GetProcAddress(gLibRTC5,"set_vector_control");
     set_default_pixel_list = (SET_DEFAULT_PIXEL_LIST_FP) GetProcAddress(gLibRTC5,"set_default_pixel_list");
     set_port_default_list = (SET_PORT_DEFAULT_LIST_FP) GetProcAddress(gLibRTC5,"set_port_default_list");
     set_auto_laser_params_list = (SET_AUTO_LASER_PARAMS_LIST_FP) GetProcAddress(gLibRTC5,"set_auto_laser_params_list");
     set_pulse_picking_list = (SET_PULSE_PICKING_LIST_FP) GetProcAddress(gLibRTC5,"set_pulse_picking_list");
     set_softstart_level_list = (SET_SOFTSTART_LEVEL_LIST_FP) GetProcAddress(gLibRTC5,"set_softstart_level_list");
     set_softstart_mode_list = (SET_SOFTSTART_MODE_LIST_FP) GetProcAddress(gLibRTC5,"set_softstart_mode_list");
     config_laser_signals_list = (CONFIG_LASER_SIGNALS_LIST_FP) GetProcAddress(gLibRTC5,"config_laser_signals_list");
     set_laser_timing = (SET_LASER_TIMING_FP) GetProcAddress(gLibRTC5,"set_laser_timing");
     n_fly_return_z = (N_FLY_RETURN_Z_FP) GetProcAddress(gLibRTC5,"n_fly_return_z");
     n_fly_return = (N_FLY_RETURN_FP) GetProcAddress(gLibRTC5,"n_fly_return");
     n_set_rot_center_list = (N_SET_ROT_CENTER_LIST_FP) GetProcAddress(gLibRTC5,"n_set_rot_center_list");
     n_set_ext_start_delay_list = (N_SET_EXT_START_DELAY_LIST_FP) GetProcAddress(gLibRTC5,"n_set_ext_start_delay_list");
     n_set_fly_x = (N_SET_FLY_X_FP) GetProcAddress(gLibRTC5,"n_set_fly_x");
     n_set_fly_y = (N_SET_FLY_Y_FP) GetProcAddress(gLibRTC5,"n_set_fly_y");
     n_set_fly_z = (N_SET_FLY_Z_FP) GetProcAddress(gLibRTC5,"n_set_fly_z");
     n_set_fly_rot = (N_SET_FLY_ROT_FP) GetProcAddress(gLibRTC5,"n_set_fly_rot");
     n_set_fly_2d = (N_SET_FLY_2D_FP) GetProcAddress(gLibRTC5,"n_set_fly_2d");
     n_set_fly_x_pos = (N_SET_FLY_X_POS_FP) GetProcAddress(gLibRTC5,"n_set_fly_x_pos");
     n_set_fly_y_pos = (N_SET_FLY_Y_POS_FP) GetProcAddress(gLibRTC5,"n_set_fly_y_pos");
     n_set_fly_rot_pos = (N_SET_FLY_ROT_POS_FP) GetProcAddress(gLibRTC5,"n_set_fly_rot_pos");
     n_set_fly_limits = (N_SET_FLY_LIMITS_FP) GetProcAddress(gLibRTC5,"n_set_fly_limits");
     n_set_fly_limits_z = (N_SET_FLY_LIMITS_Z_FP) GetProcAddress(gLibRTC5,"n_set_fly_limits_z");
     n_if_fly_x_overflow = (N_IF_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_if_fly_x_overflow");
     n_if_fly_y_overflow = (N_IF_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_if_fly_y_overflow");
     n_if_fly_z_overflow = (N_IF_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_if_fly_z_overflow");
     n_if_not_fly_x_overflow = (N_IF_NOT_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_if_not_fly_x_overflow");
     n_if_not_fly_y_overflow = (N_IF_NOT_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_if_not_fly_y_overflow");
     n_if_not_fly_z_overflow = (N_IF_NOT_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_if_not_fly_z_overflow");
     n_clear_fly_overflow = (N_CLEAR_FLY_OVERFLOW_FP) GetProcAddress(gLibRTC5,"n_clear_fly_overflow");
     n_set_mcbsp_x_list = (N_SET_MCBSP_X_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_x_list");
     n_set_mcbsp_y_list = (N_SET_MCBSP_Y_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_y_list");
     n_set_mcbsp_rot_list = (N_SET_MCBSP_ROT_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_rot_list");
     n_set_mcbsp_matrix_list = (N_SET_MCBSP_MATRIX_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_matrix_list");
     n_set_mcbsp_global_x_list = (N_SET_MCBSP_GLOBAL_X_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_x_list");
     n_set_mcbsp_global_y_list = (N_SET_MCBSP_GLOBAL_Y_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_y_list");
     n_set_mcbsp_global_rot_list = (N_SET_MCBSP_GLOBAL_ROT_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_rot_list");
     n_set_mcbsp_global_matrix_list = (N_SET_MCBSP_GLOBAL_MATRIX_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_global_matrix_list");
     n_set_mcbsp_in_list = (N_SET_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_in_list");
     n_set_multi_mcbsp_in_list = (N_SET_MULTI_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC5,"n_set_multi_mcbsp_in_list");
     n_wait_for_encoder_mode = (N_WAIT_FOR_ENCODER_MODE_FP) GetProcAddress(gLibRTC5,"n_wait_for_encoder_mode");
     n_wait_for_mcbsp = (N_WAIT_FOR_MCBSP_FP) GetProcAddress(gLibRTC5,"n_wait_for_mcbsp");
     n_set_encoder_speed = (N_SET_ENCODER_SPEED_FP) GetProcAddress(gLibRTC5,"n_set_encoder_speed");
     n_get_mcbsp_list = (N_GET_MCBSP_LIST_FP) GetProcAddress(gLibRTC5,"n_get_mcbsp_list");
     n_store_encoder = (N_STORE_ENCODER_FP) GetProcAddress(gLibRTC5,"n_store_encoder");
     n_wait_for_encoder_in_range = (N_WAIT_FOR_ENCODER_IN_RANGE_FP) GetProcAddress(gLibRTC5,"n_wait_for_encoder_in_range");
     n_activate_fly_xy = (N_ACTIVATE_FLY_XY_FP) GetProcAddress(gLibRTC5,"n_activate_fly_xy");
     n_activate_fly_2d = (N_ACTIVATE_FLY_2D_FP) GetProcAddress(gLibRTC5,"n_activate_fly_2d");
     n_activate_fly_xy_encoder = (N_ACTIVATE_FLY_XY_ENCODER_FP) GetProcAddress(gLibRTC5,"n_activate_fly_xy_encoder");
     n_activate_fly_2d_encoder = (N_ACTIVATE_FLY_2D_ENCODER_FP) GetProcAddress(gLibRTC5,"n_activate_fly_2d_encoder");
     n_if_not_activated = (N_IF_NOT_ACTIVATED_FP) GetProcAddress(gLibRTC5,"n_if_not_activated");
     n_park_position = (N_PARK_POSITION_FP) GetProcAddress(gLibRTC5,"n_park_position");
     n_park_return = (N_PARK_RETURN_FP) GetProcAddress(gLibRTC5,"n_park_return");
     n_wait_for_encoder = (N_WAIT_FOR_ENCODER_FP) GetProcAddress(gLibRTC5,"n_wait_for_encoder");
     fly_return_z = (FLY_RETURN_Z_FP) GetProcAddress(gLibRTC5,"fly_return_z");
     fly_return = (FLY_RETURN_FP) GetProcAddress(gLibRTC5,"fly_return");
     set_rot_center_list = (SET_ROT_CENTER_LIST_FP) GetProcAddress(gLibRTC5,"set_rot_center_list");
     set_ext_start_delay_list = (SET_EXT_START_DELAY_LIST_FP) GetProcAddress(gLibRTC5,"set_ext_start_delay_list");
     set_fly_x = (SET_FLY_X_FP) GetProcAddress(gLibRTC5,"set_fly_x");
     set_fly_y = (SET_FLY_Y_FP) GetProcAddress(gLibRTC5,"set_fly_y");
     set_fly_z = (SET_FLY_Z_FP) GetProcAddress(gLibRTC5,"set_fly_z");
     set_fly_rot = (SET_FLY_ROT_FP) GetProcAddress(gLibRTC5,"set_fly_rot");
     set_fly_2d = (SET_FLY_2D_FP) GetProcAddress(gLibRTC5,"set_fly_2d");
     set_fly_x_pos = (SET_FLY_X_POS_FP) GetProcAddress(gLibRTC5,"set_fly_x_pos");
     set_fly_y_pos = (SET_FLY_Y_POS_FP) GetProcAddress(gLibRTC5,"set_fly_y_pos");
     set_fly_rot_pos = (SET_FLY_ROT_POS_FP) GetProcAddress(gLibRTC5,"set_fly_rot_pos");
     set_fly_limits = (SET_FLY_LIMITS_FP) GetProcAddress(gLibRTC5,"set_fly_limits");
     set_fly_limits_z = (SET_FLY_LIMITS_Z_FP) GetProcAddress(gLibRTC5,"set_fly_limits_z");
     if_fly_x_overflow = (IF_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC5,"if_fly_x_overflow");
     if_fly_y_overflow = (IF_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC5,"if_fly_y_overflow");
     if_fly_z_overflow = (IF_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC5,"if_fly_z_overflow");
     if_not_fly_x_overflow = (IF_NOT_FLY_X_OVERFLOW_FP) GetProcAddress(gLibRTC5,"if_not_fly_x_overflow");
     if_not_fly_y_overflow = (IF_NOT_FLY_Y_OVERFLOW_FP) GetProcAddress(gLibRTC5,"if_not_fly_y_overflow");
     if_not_fly_z_overflow = (IF_NOT_FLY_Z_OVERFLOW_FP) GetProcAddress(gLibRTC5,"if_not_fly_z_overflow");
     clear_fly_overflow = (CLEAR_FLY_OVERFLOW_FP) GetProcAddress(gLibRTC5,"clear_fly_overflow");
     set_mcbsp_x_list = (SET_MCBSP_X_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_x_list");
     set_mcbsp_y_list = (SET_MCBSP_Y_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_y_list");
     set_mcbsp_rot_list = (SET_MCBSP_ROT_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_rot_list");
     set_mcbsp_matrix_list = (SET_MCBSP_MATRIX_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_matrix_list");
     set_mcbsp_global_x_list = (SET_MCBSP_GLOBAL_X_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_x_list");
     set_mcbsp_global_y_list = (SET_MCBSP_GLOBAL_Y_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_y_list");
     set_mcbsp_global_rot_list = (SET_MCBSP_GLOBAL_ROT_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_rot_list");
     set_mcbsp_global_matrix_list = (SET_MCBSP_GLOBAL_MATRIX_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_global_matrix_list");
     set_mcbsp_in_list = (SET_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_in_list");
     set_multi_mcbsp_in_list = (SET_MULTI_MCBSP_IN_LIST_FP) GetProcAddress(gLibRTC5,"set_multi_mcbsp_in_list");
     wait_for_encoder_mode = (WAIT_FOR_ENCODER_MODE_FP) GetProcAddress(gLibRTC5,"wait_for_encoder_mode");
     wait_for_mcbsp = (WAIT_FOR_MCBSP_FP) GetProcAddress(gLibRTC5,"wait_for_mcbsp");
     set_encoder_speed = (SET_ENCODER_SPEED_FP) GetProcAddress(gLibRTC5,"set_encoder_speed");
     get_mcbsp_list = (GET_MCBSP_LIST_FP) GetProcAddress(gLibRTC5,"get_mcbsp_list");
     store_encoder = (STORE_ENCODER_FP) GetProcAddress(gLibRTC5,"store_encoder");
     wait_for_encoder_in_range = (WAIT_FOR_ENCODER_IN_RANGE_FP) GetProcAddress(gLibRTC5,"wait_for_encoder_in_range");
     activate_fly_xy = (ACTIVATE_FLY_XY_FP) GetProcAddress(gLibRTC5,"activate_fly_xy");
     activate_fly_2d = (ACTIVATE_FLY_2D_FP) GetProcAddress(gLibRTC5,"activate_fly_2d");
     activate_fly_xy_encoder = (ACTIVATE_FLY_XY_ENCODER_FP) GetProcAddress(gLibRTC5,"activate_fly_xy_encoder");
     activate_fly_2d_encoder = (ACTIVATE_FLY_2D_ENCODER_FP) GetProcAddress(gLibRTC5,"activate_fly_2d_encoder");
     if_not_activated = (IF_NOT_ACTIVATED_FP) GetProcAddress(gLibRTC5,"if_not_activated");
     park_position = (PARK_POSITION_FP) GetProcAddress(gLibRTC5,"park_position");
     park_return = (PARK_RETURN_FP) GetProcAddress(gLibRTC5,"park_return");
     wait_for_encoder = (WAIT_FOR_ENCODER_FP) GetProcAddress(gLibRTC5,"wait_for_encoder");
     n_save_and_restart_timer = (N_SAVE_AND_RESTART_TIMER_FP) GetProcAddress(gLibRTC5,"n_save_and_restart_timer");
     n_set_wobbel = (N_SET_WOBBEL_FP) GetProcAddress(gLibRTC5,"n_set_wobbel");
     n_set_wobbel_mode = (N_SET_WOBBEL_MODE_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_mode");
     n_set_wobbel_mode_phase = (N_SET_WOBBEL_MODE_PHASE_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_mode_phase");
     n_set_wobbel_direction = (N_SET_WOBBEL_DIRECTION_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_direction");
     n_set_wobbel_control = (N_SET_WOBBEL_CONTROL_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_control");
     n_set_wobbel_vector = (N_SET_WOBBEL_VECTOR_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_vector");
     n_set_wobbel_offset = (N_SET_WOBBEL_OFFSET_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_offset");
     n_load_wobbel_power_list = (N_LOAD_WOBBEL_POWER_LIST_FP) GetProcAddress(gLibRTC5,"n_load_wobbel_power_list");
     n_set_wobbel_power_angle = (N_SET_WOBBEL_POWER_ANGLE_FP) GetProcAddress(gLibRTC5,"n_set_wobbel_power_angle");
     n_set_trigger = (N_SET_TRIGGER_FP) GetProcAddress(gLibRTC5,"n_set_trigger");
     n_set_trigger4 = (N_SET_TRIGGER4_FP) GetProcAddress(gLibRTC5,"n_set_trigger4");
     n_set_pixel_line_3d = (N_SET_PIXEL_LINE_3D_FP) GetProcAddress(gLibRTC5,"n_set_pixel_line_3d");
     n_set_pixel_line = (N_SET_PIXEL_LINE_FP) GetProcAddress(gLibRTC5,"n_set_pixel_line");
     n_stretch_pixel_line = (N_STRETCH_PIXEL_LINE_FP) GetProcAddress(gLibRTC5,"n_stretch_pixel_line");
     n_set_n_pixel = (N_SET_N_PIXEL_FP) GetProcAddress(gLibRTC5,"n_set_n_pixel");
     n_set_pixel = (N_SET_PIXEL_FP) GetProcAddress(gLibRTC5,"n_set_pixel");
     n_rs232_write_text_list = (N_RS232_WRITE_TEXT_LIST_FP) GetProcAddress(gLibRTC5,"n_rs232_write_text_list");
     n_set_mcbsp_out = (N_SET_MCBSP_OUT_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_out");
     n_set_mcbsp_out_ptr_list = (N_SET_MCBSP_OUT_PTR_LIST_FP) GetProcAddress(gLibRTC5,"n_set_mcbsp_out_ptr_list");
     n_camming = (N_CAMMING_FP) GetProcAddress(gLibRTC5,"n_camming");
     n_periodic_toggle_list = (N_PERIODIC_TOGGLE_LIST_FP) GetProcAddress(gLibRTC5,"n_periodic_toggle_list");
     n_micro_vector_abs_3d = (N_MICRO_VECTOR_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_micro_vector_abs_3d");
     n_micro_vector_rel_3d = (N_MICRO_VECTOR_REL_3D_FP) GetProcAddress(gLibRTC5,"n_micro_vector_rel_3d");
     n_micro_vector_abs = (N_MICRO_VECTOR_ABS_FP) GetProcAddress(gLibRTC5,"n_micro_vector_abs");
     n_micro_vector_rel = (N_MICRO_VECTOR_REL_FP) GetProcAddress(gLibRTC5,"n_micro_vector_rel");
     n_set_free_variable_list = (N_SET_FREE_VARIABLE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_free_variable_list");
     n_jump_abs_drill_2 = (N_JUMP_ABS_DRILL_2_FP) GetProcAddress(gLibRTC5,"n_jump_abs_drill_2");
     n_jump_rel_drill_2 = (N_JUMP_REL_DRILL_2_FP) GetProcAddress(gLibRTC5,"n_jump_rel_drill_2");
     n_jump_abs_drill = (N_JUMP_ABS_DRILL_FP) GetProcAddress(gLibRTC5,"n_jump_abs_drill");
     n_jump_rel_drill = (N_JUMP_REL_DRILL_FP) GetProcAddress(gLibRTC5,"n_jump_rel_drill");
     save_and_restart_timer = (SAVE_AND_RESTART_TIMER_FP) GetProcAddress(gLibRTC5,"save_and_restart_timer");
     set_wobbel = (SET_WOBBEL_FP) GetProcAddress(gLibRTC5,"set_wobbel");
     set_wobbel_mode = (SET_WOBBEL_MODE_FP) GetProcAddress(gLibRTC5,"set_wobbel_mode");
     set_wobbel_mode_phase = (SET_WOBBEL_MODE_PHASE_FP) GetProcAddress(gLibRTC5,"set_wobbel_mode_phase");
     set_wobbel_direction = (SET_WOBBEL_DIRECTION_FP) GetProcAddress(gLibRTC5,"set_wobbel_direction");
     set_wobbel_control = (SET_WOBBEL_CONTROL_FP) GetProcAddress(gLibRTC5,"set_wobbel_control");
     set_wobbel_vector = (SET_WOBBEL_VECTOR_FP) GetProcAddress(gLibRTC5,"set_wobbel_vector");
     set_wobbel_offset = (SET_WOBBEL_OFFSET_FP) GetProcAddress(gLibRTC5,"set_wobbel_offset");
     load_wobbel_power_list = (LOAD_WOBBEL_POWER_LIST_FP) GetProcAddress(gLibRTC5,"load_wobbel_power_list");
     set_wobbel_power_angle = (SET_WOBBEL_POWER_ANGLE_FP) GetProcAddress(gLibRTC5,"set_wobbel_power_angle");
     set_trigger = (SET_TRIGGER_FP) GetProcAddress(gLibRTC5,"set_trigger");
     set_trigger4 = (SET_TRIGGER4_FP) GetProcAddress(gLibRTC5,"set_trigger4");
     set_pixel_line_3d = (SET_PIXEL_LINE_3D_FP) GetProcAddress(gLibRTC5,"set_pixel_line_3d");
     set_pixel_line = (SET_PIXEL_LINE_FP) GetProcAddress(gLibRTC5,"set_pixel_line");
     stretch_pixel_line = (STRETCH_PIXEL_LINE_FP) GetProcAddress(gLibRTC5,"stretch_pixel_line");
     set_n_pixel = (SET_N_PIXEL_FP) GetProcAddress(gLibRTC5,"set_n_pixel");
     set_pixel = (SET_PIXEL_FP) GetProcAddress(gLibRTC5,"set_pixel");
     rs232_write_text_list = (RS232_WRITE_TEXT_LIST_FP) GetProcAddress(gLibRTC5,"rs232_write_text_list");
     set_mcbsp_out = (SET_MCBSP_OUT_FP) GetProcAddress(gLibRTC5,"set_mcbsp_out");
     set_mcbsp_out_ptr_list = (SET_MCBSP_OUT_PTR_LIST_FP) GetProcAddress(gLibRTC5,"set_mcbsp_out_ptr_list");
     camming = (CAMMING_FP) GetProcAddress(gLibRTC5,"camming");
     periodic_toggle_list = (PERIODIC_TOGGLE_LIST_FP) GetProcAddress(gLibRTC5,"periodic_toggle_list");
     micro_vector_abs_3d = (MICRO_VECTOR_ABS_3D_FP) GetProcAddress(gLibRTC5,"micro_vector_abs_3d");
     micro_vector_rel_3d = (MICRO_VECTOR_REL_3D_FP) GetProcAddress(gLibRTC5,"micro_vector_rel_3d");
     micro_vector_abs = (MICRO_VECTOR_ABS_FP) GetProcAddress(gLibRTC5,"micro_vector_abs");
     micro_vector_rel = (MICRO_VECTOR_REL_FP) GetProcAddress(gLibRTC5,"micro_vector_rel");
     set_free_variable_list = (SET_FREE_VARIABLE_LIST_FP) GetProcAddress(gLibRTC5,"set_free_variable_list");
     jump_abs_drill_2 = (JUMP_ABS_DRILL_2_FP) GetProcAddress(gLibRTC5,"jump_abs_drill_2");
     jump_rel_drill_2 = (JUMP_REL_DRILL_2_FP) GetProcAddress(gLibRTC5,"jump_rel_drill_2");
     jump_abs_drill = (JUMP_ABS_DRILL_FP) GetProcAddress(gLibRTC5,"jump_abs_drill");
     jump_rel_drill = (JUMP_REL_DRILL_FP) GetProcAddress(gLibRTC5,"jump_rel_drill");
     n_timed_mark_abs_3d = (N_TIMED_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_timed_mark_abs_3d");
     n_timed_mark_rel_3d = (N_TIMED_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"n_timed_mark_rel_3d");
     n_timed_mark_abs = (N_TIMED_MARK_ABS_FP) GetProcAddress(gLibRTC5,"n_timed_mark_abs");
     n_timed_mark_rel = (N_TIMED_MARK_REL_FP) GetProcAddress(gLibRTC5,"n_timed_mark_rel");
     timed_mark_abs_3d = (TIMED_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"timed_mark_abs_3d");
     timed_mark_rel_3d = (TIMED_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"timed_mark_rel_3d");
     timed_mark_abs = (TIMED_MARK_ABS_FP) GetProcAddress(gLibRTC5,"timed_mark_abs");
     timed_mark_rel = (TIMED_MARK_REL_FP) GetProcAddress(gLibRTC5,"timed_mark_rel");
     n_mark_abs_3d = (N_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_mark_abs_3d");
     n_mark_rel_3d = (N_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"n_mark_rel_3d");
     n_mark_abs = (N_MARK_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_abs");
     n_mark_rel = (N_MARK_REL_FP) GetProcAddress(gLibRTC5,"n_mark_rel");
     mark_abs_3d = (MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"mark_abs_3d");
     mark_rel_3d = (MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"mark_rel_3d");
     mark_abs = (MARK_ABS_FP) GetProcAddress(gLibRTC5,"mark_abs");
     mark_rel = (MARK_REL_FP) GetProcAddress(gLibRTC5,"mark_rel");
     n_timed_jump_abs_3d = (N_TIMED_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_timed_jump_abs_3d");
     n_timed_jump_rel_3d = (N_TIMED_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"n_timed_jump_rel_3d");
     n_timed_jump_abs = (N_TIMED_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"n_timed_jump_abs");
     n_timed_jump_rel = (N_TIMED_JUMP_REL_FP) GetProcAddress(gLibRTC5,"n_timed_jump_rel");
     timed_jump_abs_3d = (TIMED_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"timed_jump_abs_3d");
     timed_jump_rel_3d = (TIMED_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"timed_jump_rel_3d");
     timed_jump_abs = (TIMED_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"timed_jump_abs");
     timed_jump_rel = (TIMED_JUMP_REL_FP) GetProcAddress(gLibRTC5,"timed_jump_rel");
     n_jump_abs_3d = (N_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_jump_abs_3d");
     n_jump_rel_3d = (N_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"n_jump_rel_3d");
     n_jump_abs = (N_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"n_jump_abs");
     n_jump_rel = (N_JUMP_REL_FP) GetProcAddress(gLibRTC5,"n_jump_rel");
     jump_abs_3d = (JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"jump_abs_3d");
     jump_rel_3d = (JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"jump_rel_3d");
     jump_abs = (JUMP_ABS_FP) GetProcAddress(gLibRTC5,"jump_abs");
     jump_rel = (JUMP_REL_FP) GetProcAddress(gLibRTC5,"jump_rel");
     n_para_mark_abs_3d = (N_PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_para_mark_abs_3d");
     n_para_mark_rel_3d = (N_PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"n_para_mark_rel_3d");
     n_para_mark_abs = (N_PARA_MARK_ABS_FP) GetProcAddress(gLibRTC5,"n_para_mark_abs");
     n_para_mark_rel = (N_PARA_MARK_REL_FP) GetProcAddress(gLibRTC5,"n_para_mark_rel");
     para_mark_abs_3d = (PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"para_mark_abs_3d");
     para_mark_rel_3d = (PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"para_mark_rel_3d");
     para_mark_abs = (PARA_MARK_ABS_FP) GetProcAddress(gLibRTC5,"para_mark_abs");
     para_mark_rel = (PARA_MARK_REL_FP) GetProcAddress(gLibRTC5,"para_mark_rel");
     n_para_jump_abs_3d = (N_PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_para_jump_abs_3d");
     n_para_jump_rel_3d = (N_PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"n_para_jump_rel_3d");
     n_para_jump_abs = (N_PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"n_para_jump_abs");
     n_para_jump_rel = (N_PARA_JUMP_REL_FP) GetProcAddress(gLibRTC5,"n_para_jump_rel");
     para_jump_abs_3d = (PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"para_jump_abs_3d");
     para_jump_rel_3d = (PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"para_jump_rel_3d");
     para_jump_abs = (PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"para_jump_abs");
     para_jump_rel = (PARA_JUMP_REL_FP) GetProcAddress(gLibRTC5,"para_jump_rel");
     n_timed_para_mark_abs_3d = (N_TIMED_PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_timed_para_mark_abs_3d");
     n_timed_para_mark_rel_3d = (N_TIMED_PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"n_timed_para_mark_rel_3d");
     n_timed_para_jump_abs_3d = (N_TIMED_PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_timed_para_jump_abs_3d");
     n_timed_para_jump_rel_3d = (N_TIMED_PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"n_timed_para_jump_rel_3d");
     n_timed_para_mark_abs = (N_TIMED_PARA_MARK_ABS_FP) GetProcAddress(gLibRTC5,"n_timed_para_mark_abs");
     n_timed_para_mark_rel = (N_TIMED_PARA_MARK_REL_FP) GetProcAddress(gLibRTC5,"n_timed_para_mark_rel");
     n_timed_para_jump_abs = (N_TIMED_PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"n_timed_para_jump_abs");
     n_timed_para_jump_rel = (N_TIMED_PARA_JUMP_REL_FP) GetProcAddress(gLibRTC5,"n_timed_para_jump_rel");
     timed_para_mark_abs_3d = (TIMED_PARA_MARK_ABS_3D_FP) GetProcAddress(gLibRTC5,"timed_para_mark_abs_3d");
     timed_para_mark_rel_3d = (TIMED_PARA_MARK_REL_3D_FP) GetProcAddress(gLibRTC5,"timed_para_mark_rel_3d");
     timed_para_jump_abs_3d = (TIMED_PARA_JUMP_ABS_3D_FP) GetProcAddress(gLibRTC5,"timed_para_jump_abs_3d");
     timed_para_jump_rel_3d = (TIMED_PARA_JUMP_REL_3D_FP) GetProcAddress(gLibRTC5,"timed_para_jump_rel_3d");
     timed_para_mark_abs = (TIMED_PARA_MARK_ABS_FP) GetProcAddress(gLibRTC5,"timed_para_mark_abs");
     timed_para_mark_rel = (TIMED_PARA_MARK_REL_FP) GetProcAddress(gLibRTC5,"timed_para_mark_rel");
     timed_para_jump_abs = (TIMED_PARA_JUMP_ABS_FP) GetProcAddress(gLibRTC5,"timed_para_jump_abs");
     timed_para_jump_rel = (TIMED_PARA_JUMP_REL_FP) GetProcAddress(gLibRTC5,"timed_para_jump_rel");
     n_set_defocus_list = (N_SET_DEFOCUS_LIST_FP) GetProcAddress(gLibRTC5,"n_set_defocus_list");
     n_set_defocus_offset_list = (N_SET_DEFOCUS_OFFSET_LIST_FP) GetProcAddress(gLibRTC5,"n_set_defocus_offset_list");
     n_set_zoom_list = (N_SET_ZOOM_LIST_FP) GetProcAddress(gLibRTC5,"n_set_zoom_list");
     set_defocus_list = (SET_DEFOCUS_LIST_FP) GetProcAddress(gLibRTC5,"set_defocus_list");
     set_defocus_offset_list = (SET_DEFOCUS_OFFSET_LIST_FP) GetProcAddress(gLibRTC5,"set_defocus_offset_list");
     set_zoom_list = (SET_ZOOM_LIST_FP) GetProcAddress(gLibRTC5,"set_zoom_list");
     n_timed_arc_abs = (N_TIMED_ARC_ABS_FP) GetProcAddress(gLibRTC5,"n_timed_arc_abs");
     n_timed_arc_rel = (N_TIMED_ARC_REL_FP) GetProcAddress(gLibRTC5,"n_timed_arc_rel");
     timed_arc_abs = (TIMED_ARC_ABS_FP) GetProcAddress(gLibRTC5,"timed_arc_abs");
     timed_arc_rel = (TIMED_ARC_REL_FP) GetProcAddress(gLibRTC5,"timed_arc_rel");
     n_arc_abs_3d = (N_ARC_ABS_3D_FP) GetProcAddress(gLibRTC5,"n_arc_abs_3d");
     n_arc_rel_3d = (N_ARC_REL_3D_FP) GetProcAddress(gLibRTC5,"n_arc_rel_3d");
     n_arc_abs = (N_ARC_ABS_FP) GetProcAddress(gLibRTC5,"n_arc_abs");
     n_arc_rel = (N_ARC_REL_FP) GetProcAddress(gLibRTC5,"n_arc_rel");
     n_set_ellipse = (N_SET_ELLIPSE_FP) GetProcAddress(gLibRTC5,"n_set_ellipse");
     n_mark_ellipse_abs = (N_MARK_ELLIPSE_ABS_FP) GetProcAddress(gLibRTC5,"n_mark_ellipse_abs");
     n_mark_ellipse_rel = (N_MARK_ELLIPSE_REL_FP) GetProcAddress(gLibRTC5,"n_mark_ellipse_rel");
     arc_abs_3d = (ARC_ABS_3D_FP) GetProcAddress(gLibRTC5,"arc_abs_3d");
     arc_rel_3d = (ARC_REL_3D_FP) GetProcAddress(gLibRTC5,"arc_rel_3d");
     arc_abs = (ARC_ABS_FP) GetProcAddress(gLibRTC5,"arc_abs");
     arc_rel = (ARC_REL_FP) GetProcAddress(gLibRTC5,"arc_rel");
     set_ellipse = (SET_ELLIPSE_FP) GetProcAddress(gLibRTC5,"set_ellipse");
     mark_ellipse_abs = (MARK_ELLIPSE_ABS_FP) GetProcAddress(gLibRTC5,"mark_ellipse_abs");
     mark_ellipse_rel = (MARK_ELLIPSE_REL_FP) GetProcAddress(gLibRTC5,"mark_ellipse_rel");
     n_set_offset_xyz_list = (N_SET_OFFSET_XYZ_LIST_FP) GetProcAddress(gLibRTC5,"n_set_offset_xyz_list");
     n_set_offset_list = (N_SET_OFFSET_LIST_FP) GetProcAddress(gLibRTC5,"n_set_offset_list");
     n_set_matrix_list = (N_SET_MATRIX_LIST_FP) GetProcAddress(gLibRTC5,"n_set_matrix_list");
     n_set_angle_list = (N_SET_ANGLE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_angle_list");
     n_set_scale_list = (N_SET_SCALE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_scale_list");
     n_apply_mcbsp_list = (N_APPLY_MCBSP_LIST_FP) GetProcAddress(gLibRTC5,"n_apply_mcbsp_list");
     set_offset_xyz_list = (SET_OFFSET_XYZ_LIST_FP) GetProcAddress(gLibRTC5,"set_offset_xyz_list");
     set_offset_list = (SET_OFFSET_LIST_FP) GetProcAddress(gLibRTC5,"set_offset_list");
     set_matrix_list = (SET_MATRIX_LIST_FP) GetProcAddress(gLibRTC5,"set_matrix_list");
     set_angle_list = (SET_ANGLE_LIST_FP) GetProcAddress(gLibRTC5,"set_angle_list");
     set_scale_list = (SET_SCALE_LIST_FP) GetProcAddress(gLibRTC5,"set_scale_list");
     apply_mcbsp_list = (APPLY_MCBSP_LIST_FP) GetProcAddress(gLibRTC5,"apply_mcbsp_list");
     n_set_mark_speed = (N_SET_MARK_SPEED_FP) GetProcAddress(gLibRTC5,"n_set_mark_speed");
     n_set_jump_speed = (N_SET_JUMP_SPEED_FP) GetProcAddress(gLibRTC5,"n_set_jump_speed");
     n_set_sky_writing_para_list = (N_SET_SKY_WRITING_PARA_LIST_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_para_list");
     n_set_sky_writing_list = (N_SET_SKY_WRITING_LIST_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_list");
     n_set_sky_writing_limit_list = (N_SET_SKY_WRITING_LIMIT_LIST_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_limit_list");
     n_set_sky_writing_mode_list = (N_SET_SKY_WRITING_MODE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_sky_writing_mode_list");
     n_set_scanner_delays = (N_SET_SCANNER_DELAYS_FP) GetProcAddress(gLibRTC5,"n_set_scanner_delays");
     n_set_jump_mode_list = (N_SET_JUMP_MODE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_jump_mode_list");
     n_enduring_wobbel = (N_ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC5,"n_enduring_wobbel");
     n_set_delay_mode_list = (N_SET_DELAY_MODE_LIST_FP) GetProcAddress(gLibRTC5,"n_set_delay_mode_list");
     set_mark_speed = (SET_MARK_SPEED_FP) GetProcAddress(gLibRTC5,"set_mark_speed");
     set_jump_speed = (SET_JUMP_SPEED_FP) GetProcAddress(gLibRTC5,"set_jump_speed");
     set_sky_writing_para_list = (SET_SKY_WRITING_PARA_LIST_FP) GetProcAddress(gLibRTC5,"set_sky_writing_para_list");
     set_sky_writing_list = (SET_SKY_WRITING_LIST_FP) GetProcAddress(gLibRTC5,"set_sky_writing_list");
     set_sky_writing_limit_list = (SET_SKY_WRITING_LIMIT_LIST_FP) GetProcAddress(gLibRTC5,"set_sky_writing_limit_list");
     set_sky_writing_mode_list = (SET_SKY_WRITING_MODE_LIST_FP) GetProcAddress(gLibRTC5,"set_sky_writing_mode_list");
     set_scanner_delays = (SET_SCANNER_DELAYS_FP) GetProcAddress(gLibRTC5,"set_scanner_delays");
     set_jump_mode_list = (SET_JUMP_MODE_LIST_FP) GetProcAddress(gLibRTC5,"set_jump_mode_list");
     enduring_wobbel = (ENDURING_WOBBEL_FP) GetProcAddress(gLibRTC5,"enduring_wobbel");
     set_delay_mode_list = (SET_DELAY_MODE_LIST_FP) GetProcAddress(gLibRTC5,"set_delay_mode_list");
     n_stepper_enable_list = (N_STEPPER_ENABLE_LIST_FP) GetProcAddress(gLibRTC5,"n_stepper_enable_list");
     n_stepper_control_list = (N_STEPPER_CONTROL_LIST_FP) GetProcAddress(gLibRTC5,"n_stepper_control_list");
     n_stepper_abs_no_list = (N_STEPPER_ABS_NO_LIST_FP) GetProcAddress(gLibRTC5,"n_stepper_abs_no_list");
     n_stepper_rel_no_list = (N_STEPPER_REL_NO_LIST_FP) GetProcAddress(gLibRTC5,"n_stepper_rel_no_list");
     n_stepper_abs_list = (N_STEPPER_ABS_LIST_FP) GetProcAddress(gLibRTC5,"n_stepper_abs_list");
     n_stepper_rel_list = (N_STEPPER_REL_LIST_FP) GetProcAddress(gLibRTC5,"n_stepper_rel_list");
     n_stepper_wait = (N_STEPPER_WAIT_FP) GetProcAddress(gLibRTC5,"n_stepper_wait");
     stepper_enable_list = (STEPPER_ENABLE_LIST_FP) GetProcAddress(gLibRTC5,"stepper_enable_list");
     stepper_control_list = (STEPPER_CONTROL_LIST_FP) GetProcAddress(gLibRTC5,"stepper_control_list");
     stepper_abs_no_list = (STEPPER_ABS_NO_LIST_FP) GetProcAddress(gLibRTC5,"stepper_abs_no_list");
     stepper_rel_no_list = (STEPPER_REL_NO_LIST_FP) GetProcAddress(gLibRTC5,"stepper_rel_no_list");
     stepper_abs_list = (STEPPER_ABS_LIST_FP) GetProcAddress(gLibRTC5,"stepper_abs_list");
     stepper_rel_list = (STEPPER_REL_LIST_FP) GetProcAddress(gLibRTC5,"stepper_rel_list");
     stepper_wait = (STEPPER_WAIT_FP) GetProcAddress(gLibRTC5,"stepper_wait");
     return(0);
}


//  RTC5close
//
//  This function terminates the explicit linking to the RTC5DLL.DLL or libslrtc5.so.
//  Call it when the use of the RTC5 functions is finished.
void RTC5close(void) {
    if (gLibRTC5) {
#ifdef _WIN32
        (void)FreeLibrary(gLibRTC5);
#else
        (void)dlclose(gLibRTC5);
#endif
    }
    if (gLibRTC5) {
        gLibRTC5 = NULL;
    }
}
